<?php

class VehiculoModel {

    private $pdo;

    public function __CONSTRUCT(){
        try {
            $this->pdo = DataBase::ObtenerConexion();
            $this->pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }

    public function Listar(){
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL veh_listarC(0)");
            $stm->execute();

            foreach($stm->fetchAll(PDO::FETCH_OBJ) as $r){
                $veh = new Vehiculo();
                $veh->__SET('vehiculo_Id', $r->vehiculo_Id);
                $veh->__SET('sVehCodigo', $r->sVehCodigo);
                $veh->__SET('nVehCliente_Id', $r->nVehCliente_Id);
                $veh->__SET('sODRucDni', $r->sODRucDni);
                $veh->__SET('sODNombre', $r->sODNombre);
                $veh->__SET('sODNombreComercial', $r->sODNombreComercial);
                $veh->__SET('sODDireccion', $r->sODDireccion);
                $veh->__SET('sVehTipoVeh', $r->sVehTipoVeh);
                $veh->__SET('sVehCategoria', $r->sVehCategoria);
                $veh->__SET('sVehNSerie', $r->sVehNSerie);
                $veh->__SET('sVehPlaca', $r->sVehPlaca);
                $veh->__SET('sVehCodigoVin', $r->sVehCodigoVin);
                $veh->__SET('dVehAFabricacion', $r->dVehAFabricacion);
                $veh->__SET('dVehFGarantia', $r->dVehFGarantia);
                $veh->__SET('sVehModelo', $r->sVehModelo);
                $veh->__SET('sVehModDiferencial', $r->sVehModDiferencial);
                $veh->__SET('sVehMotor', $r->sVehMotor);
                $veh->__SET('sVehMarca', $r->sVehMarca);
                $veh->__SET('sVehMarcaDiferencial', $r->sVehMarcaDiferencial);
                $veh->__SET('sVehActividad', $r->sVehActividad);
                $veh->__SET('sVehConfiguracion', $r->sVehConfiguracion);
                $veh->__SET('dVehVencSoat', $r->dVehVencSoat);
                $veh->__SET('dVehVencPoliza', $r->dVehVencPoliza);
                $veh->__SET('dVehCertInspTec', $r->dVehCertInspTec);
                $veh->__SET('dVehVencCertMtc', $r->dVehVencCertMtc);
                $veh->__SET('sVehDescripcion', $r->sVehDescripcion);
                $veh->__SET('nVehTipoFlota', $r->nVehTipoFlota);
                $veh->__SET('sVehTipoUso', $r->sVehTipoUso);
                $veh->__SET('sVehTipoCaja', $r->sVehTipoCaja);
                $veh->__SET('sVehMarcaCaja', $r->sVehMarcaCaja);
                $veh->__SET('sVehModCaja', $r->sVehModCaja);
                $veh->__SET('sVehFrecServ', $r->sVehFrecServ);
                $veh->__SET('sVehTipoComb', $r->sVehTipoComb);
                $veh->__SET('sVehTarjComb', $r->sVehTarjComb);
                $veh->__SET('sVehCargaUtil', $r->sVehCargaUtil);
                $veh->__SET('sVehtransmision', $r->sVehtransmision);
                $veh->__SET('sVehTipoTraccion', $r->sVehTipoTraccion);
                $veh->__SET('sVehModeloTraccion', $r->sVehModeloTraccion);
                $veh->__SET('sVehTipoCarroceria', $r->sVehTipoCarroceria);
                $veh->__SET('sVeColor', $r->sVeColor);
                $veh->__SET('sVehNejes', $r->sVehNejes);
                $veh->__SET('sVehNruedas', $r->sVehNruedas);
                $veh->__SET('sVehMedRuedas', $r->sVehMedRuedas);
                $veh->__SET('sVehNPuertas', $r->sVehNPuertas);
                $veh->__SET('sVehNAsientos', $r->sVehNAsientos);
                $veh->__SET('nVehCTechos', $r->nVehCTechos);
                $veh->__SET('sVehNCompartimientos', $r->sVehNCompartimientos);
                $veh->__SET('sVehNPasajeros', $r->sVehNPasajeros);
                $veh->__SET('nVehEstado', $r->nVehEstado);
                
                $result[] = $veh;
            }
            return $result;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }

    public function Buscar($vehiculo_Id){
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL veh_listarC($vehiculo_Id)");
            $stm->execute();
            foreach($stm->fetchAll(PDO::FETCH_OBJ) as $r){
                $veh = new Vehiculo();
                $veh->__SET('vehiculo_Id', $r->vehiculo_Id);
                $veh->__SET('sVehCodigo', $r->sVehCodigo);
                $veh->__SET('nVehCliente_Id', $r->nVehCliente_Id);
                $veh->__SET('sVehTipoVeh', $r->sVehTipoVeh);
                $veh->__SET('sVehCategoria', $r->sVehCategoria);
                $veh->__SET('sVehNSerie', $r->sVehNSerie);
                $veh->__SET('sVehPlaca', $r->sVehPlaca);
                $veh->__SET('sVehCodigoVin', $r->sVehCodigoVin);
                $veh->__SET('dVehAFabricacion', $r->dVehAFabricacion);
                $veh->__SET('dVehFGarantia', $r->dVehFGarantia);
                $veh->__SET('sVehModelo', $r->sVehModelo);
                $veh->__SET('sVehModDiferencial', $r->sVehModDiferencial);
                $veh->__SET('sVehMotor', $r->sVehMotor);
                $veh->__SET('sVehMarca', $r->sVehMarca);
                $veh->__SET('sVehMarcaDiferencial', $r->sVehMarcaDiferencial);
                $veh->__SET('sVehActividad', $r->sVehActividad);
                $veh->__SET('sVehConfiguracion', $r->sVehConfiguracion);
                $veh->__SET('dVehVencSoat', $r->dVehVencSoat);
                $veh->__SET('dVehVencPoliza', $r->dVehVencPoliza);
                $veh->__SET('dVehCertInspTec', $r->dVehCertInspTec);
                $veh->__SET('dVehVencCertMtc', $r->dVehVencCertMtc);
                $veh->__SET('sVehDescripcion', $r->sVehDescripcion);
                $veh->__SET('nVehTipoFlota', $r->nVehTipoFlota);
                $veh->__SET('sVehTipoUso', $r->sVehTipoUso);
                $veh->__SET('sVehTipoCaja', $r->sVehTipoCaja);
                $veh->__SET('sVehMarcaCaja', $r->sVehMarcaCaja);
                $veh->__SET('sVehModCaja', $r->sVehModCaja);
                $veh->__SET('sVehFrecServ', $r->sVehFrecServ);
                $veh->__SET('sVehTipoComb', $r->sVehTipoComb);
                $veh->__SET('sVehTarjComb', $r->sVehTarjComb);
                $veh->__SET('sVehCargaUtil', $r->sVehCargaUtil);
                $veh->__SET('sVehtransmision', $r->sVehtransmision);
                $veh->__SET('sVehTipoTraccion', $r->sVehTipoTraccion);
                $veh->__SET('sVehModeloTraccion', $r->sVehModeloTraccion);
                $veh->__SET('sVehTipoCarroceria', $r->sVehTipoCarroceria);
                $veh->__SET('sVeColor', $r->sVeColor);
                $veh->__SET('sVehNejes', $r->sVehNejes);
                $veh->__SET('sVehNruedas', $r->sVehNruedas);
                $veh->__SET('sVehMedRuedas', $r->sVehMedRuedas);
                $veh->__SET('sVehNPuertas', $r->sVehNPuertas);
                $veh->__SET('sVehNAsientos', $r->sVehNAsientos);
                $veh->__SET('nVehCTechos', $r->nVehCTechos);
                $veh->__SET('sVehNCompartimientos', $r->sVehNCompartimientos);
                $veh->__SET('sVehNPasajeros', $r->sVehNPasajeros);
                $veh->__SET('nVehEstado', $r->nVehEstado);
                $veh->__SET('nVehElimimado', $r->nVehElimimado);
                $veh->__SET('dFech_Act', $r->dFech_Act);
                $veh->__SET('nVehUsuario_Id', $r->nVehUsuario_Id);

                $veh->__SET('sODRucDni', $r->sODRucDni);
                $veh->__SET('sODNombre', $r->sODNombre);
                $veh->__SET('sODNombreComercial', $r->sODNombreComercial);
                $veh->__SET('sODDireccion', $r->sODDireccion);
                
                $result[] = $veh;
            }
            return $result;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }

    public function Guardar(Vehiculo $data){
        try {
            $stm = $this->pdo->prepare("CALL veh_crear(?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,@vehiculoId)");
            $stm->execute(array(
                                $data->__get('sVehCodigo'),
                                $data->__get('nVehCliente_Id'),
                                $data->__get('sVehTipoVeh'),
                                $data->__get('sVehCategoria'),
                                $data->__get('sVehNSerie'),
                                $data->__get('sVehPlaca'),
                                $data->__get('sVehCodigoVin'),
                                $data->__get('dVehAFabricacion'),
                                $data->__get('dVehFGarantia'),
                                $data->__get('sVehModelo'),
                                $data->__get('sVehModDiferencial'),
                                $data->__get('sVehMotor'),
                                $data->__get('sVehMarca'),
                                $data->__get('sVehMarcaDiferencial'),
                                $data->__get('sVehActividad'),
                                $data->__get('sVehConfiguracion'),
                                $data->__get('dVehVencSoat'),
                                $data->__get('dVehVencPoliza'),
                                $data->__get('dVehCertInspTec'),
                                $data->__get('dVehVencCertMtc'),
                                $data->__get('sVehDescripcion'),
                                $data->__get('nVehTipoFlota'),
                                $data->__get('sVehTipoUso'),
                                $data->__get('sVehTipoCaja'),
                                $data->__get('sVehMarcaCaja'),
                                $data->__get('sVehModCaja'),
                                $data->__get('sVehFrecServ'),
                                $data->__get('sVehTipoComb'),
                                $data->__get('sVehTarjComb'),
                                $data->__get('sVehCargaUtil'),
                                $data->__get('sVehtransmision'),
                                $data->__get('sVehTipoTraccion'),
                                $data->__get('sVehModeloTraccion'),
                                $data->__get('sVehTipoCarroceria'),
                                $data->__get('sVeColor'),
                                $data->__get('sVehNejes'),
                                $data->__get('sVehNruedas'),
                                $data->__get('sVehMedRuedas'),
                                $data->__get('sVehNPuertas'),
                                $data->__get('sVehNAsientos'),
                                $data->__get('nVehCTechos'),
                                $data->__get('sVehNCompartimientos'),
                                $data->__get('sVehNPasajeros'),
                                $data->__get('nVehEstado'),
                                $data->__get('nVehElimimado'),
                                //$data->__get('dFech_Act'),
                                $data->__get('nVehUsuario_Id'),
                         ));
        echo '<div class="alert alert-success" role="alert">
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <strong>Los datos fueron Guardados exitosamente</strong>
             </div>';

        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }

    
    public function Editar(Vehiculo $data){
        try {
            $stm = $this->pdo->prepare("CALL veh_editar(?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)");
            $stm->execute(array(
                            $data->__get('vehiculo_Id'),
                            $data->__get('sVehCodigo'),
                            $data->__get('nVehCliente_Id'),
                            $data->__get('sVehTipoVeh'),
                            $data->__get('sVehCategoria'),
                            $data->__get('sVehNSerie'),
                            $data->__get('sVehPlaca'),
                            $data->__get('sVehCodigoVin'),
                            $data->__get('dVehAFabricacion'),
                            $data->__get('dVehFGarantia'),
                            $data->__get('sVehModelo'),
                            $data->__get('sVehModDiferencial'),
                            $data->__get('sVehMotor'),
                            $data->__get('sVehMarca'),
                            $data->__get('sVehMarcaDiferencial'),
                            $data->__get('sVehActividad'),
                            $data->__get('sVehConfiguracion'),
                            $data->__get('dVehVencSoat'),
                            $data->__get('dVehVencPoliza'),
                            $data->__get('dVehCertInspTec'),
                            $data->__get('dVehVencCertMtc'),
                            $data->__get('sVehDescripcion'),
                            $data->__get('nVehTipoFlota'),
                            $data->__get('sVehTipoUso'),
                            $data->__get('sVehTipoCaja'),
                            $data->__get('sVehMarcaCaja'),
                            $data->__get('sVehModCaja'),
                            $data->__get('sVehFrecServ'),
                            $data->__get('sVehTipoComb'),
                            $data->__get('sVehTarjComb'),
                            $data->__get('sVehCargaUtil'),
                            $data->__get('sVehtransmision'),
                            $data->__get('sVehTipoTraccion'),
                            $data->__get('sVehModeloTraccion'),
                            $data->__get('sVehTipoCarroceria'),
                            $data->__get('sVeColor'),
                            $data->__get('sVehNejes'),
                            $data->__get('sVehNruedas'),
                            $data->__get('sVehMedRuedas'),
                            $data->__get('sVehNPuertas'),
                            $data->__get('sVehNAsientos'),
                            $data->__get('nVehCTechos'),
                            $data->__get('sVehNCompartimientos'),
                            $data->__get('sVehNPasajeros'),
                            $data->__get('nVehEstado'),
                            $data->__get('nVehElimimado'),
                            //$data->__get('dFech_Act'),
                            $data->__get('nVehUsuario_Id')
                    )); 
        echo '<div class="alert alert-success" role="alert">
                <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <strong>Los datos fueron actualizados exitosamente</strong>
             </div>';

        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }


    public function Eliminar(Vehiculo $data){
        try {
            $stm = $this->pdo->prepare("CALL veh_ocultar(?,?)");
            $stm->execute(array(
                                $data->__get('vehiculo_Id'),
                                $data->__get('nVehUsuario_Id')
                            ));
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }

    public function ListarxCliente($Cliente_Id) {
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL veh_ListarxCliente(?)");
            $stm->execute([$Cliente_Id]);
            foreach($stm->fetchAll(PDO::FETCH_OBJ) as $r) {
                $result[] = $r;
            }
            return $result;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }

}