
<style>
    .inp-cantidad {
        width: 5rem;
        margin: auto;
        text-align: center;
    }

    .inp-precio {
        width: 9rem;
        margin: auto;
        text-align: center;
    }

    .nopromovido tr td input[type='text'] {
        background-color: transparent !important;
        color: black !important;
        border: 0 !important;
    }

    .bottonFiltro {
        background-color:rgb(12, 155, 238);
        border-radius: 0.5rem;
        border: none;
        width: 3.5rem;
        height: 3.5rem;
    }
    .botonNuevo {
        color: black;
        font-weight: 700;
        width: 15rem;
        background-color:rgb(255, 219, 17);
    }

.card-header {
    background-color:rgb(224, 218, 218); /* Azul Bootstrap */
    padding: 0;
    border-radius: 0.5rem;
}

/* Estilo del botón del acordeón */
.accordion-button {
    color: #000000;
    font-size: 18px;
    font-weight: bold;
    text-align: left;
    padding: 15px;
    width: 100%;
    border: none;
    background: transparent;
    outline: none;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

/* Icono de flecha */
.accordion-button i {
    transition: transform 0.3s ease;
}

/* Efecto de giro al abrir */
.accordion-button[aria-expanded="true"] i {
    transform: rotate(90deg);
}

/* Hover del botón */
.accordion-button:hover {
    background-color: rgba(255, 255, 255, 0.2);
}

/* Contenido del acordeón */
.accordion-body {
    padding: 15px;
    background-color: #f8f9fa;
    border-radius: 0.5rem;
}

.table-shadow {
    box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.2); /* Sombra suave debajo */
    border-radius: 0.5rem; /* Bordes redondeados */
    overflow: hidden; /* Para que no se salga el contenido */
}

</style>

<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        Orden de servicio
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="wfamain.php"><i class="fa fa-dashboard"></i>Inicio</a></li>
        <li><a href="#">Orden de servicio</a></li>
    </ol>
</section>
<!-- Main content -->
<section class="content">
<div class="row">
        <div class="col-md-12">
            <div class="box box-primary" style="border-color: orange; " >

                <div class="col-md-4" style="background-color: white; margin-top: 21px;">
                    <form action="javascript:GuardarAtencionCabecera();"  method="POST" id="FormAtencion">

                        <div class="row" style="padding-bottom: 1rem;">
                            <div class="box-header" style="background-color:rgb(224, 218, 218);">
                                <h3 class="box-title" style="color: black; font-weight: 500;">Datos Generales</h3>
                            </div>

                            <input type="hidden" name="es_promovido" id="es_promovido" value="<?php echo isset($is_promueve) ? $is_promueve : '' ?>">
                            <input type="hidden" name="id_inventario" id="id_inventario" value="<?php echo isset($id_inventario) ? $id_inventario : '' ?>">

                            <div class="box-body">
                                <div id="resultado"></div>
                                <div class="row">

                                    <div class="col-md-12 form-group">
                                        <input type="hidden" name="OrdenTrabajo_Id" id="OrdenTrabajo_Id" value="<?php echo isset($r) ? $r->__GET('OrdenTrabajo_Id') : '0'; ?>">
                                        <label>N° de Orden</label>
                                        <input type="text" class="form-control" name="sOtNumOrden" id="sOtNumOrden" value="<?php echo isset($r) ? $r->__GET('sOtNumOrden'):'';?>" disabled>
                                    </div>

                                    <div class="col-md-12 form-group">
                                        <label>Cliente</label>
                                        <select class="form-control" name="sOtCliente_Id" id="sOtCliente_Id" >
                                            <?php foreach ($clientes as $cli) { ?>
                                                <?php if ($cli->__GET('nODTipo') == 2) { ?>
                                                    <option value="<?php echo $cli->__GET('OrigenDestino_Id'); ?>"
                                                    <?php echo isset($r) ? $r->__GET('sOtCliente_Id') == $cli->__GET('OrigenDestino_Id')
                                                                ? 'selected'
                                                                : ''
                                                                : '';
                                                        ?>  > <?php echo $cli->__GET('sODNombre'); ?> </option>
                                                <?php } ?>
                                            <?php } ?>

                                        </select>
                                    </div>

                                    <div class="col-md-12 form-group">
                                        <label>Vehículo</label>
                                        <select class="form-control" name="sOtVehiculo_Id" id="sOtVehiculo_Id">
                                            <option value="">Seleccione un vehículo</option>
                                        </select>
                                    </div>

                                    <div class="col-md-6 form-group">
                                        <label>Fecha de Ingreso</label>
                                        <input type="text" class="form-control" name="dOtFi" id="dOtFi" value="<?php echo isset($r) ? $r->__GET('dOtFi') : date('Y-m-d'); ?>" data-fechformat="<?php echo isset($r) ? $r->__GET('dOtFi') : date('Y-m-d'); ?>">
                                    </div>

                                    <div class="col-md-6 form-group">
                                        <label>Hora de Ingreso</label>
                                        <input type="text" class="form-control" name="dOtHi" id="dOtHi" value="<?php echo isset($r) ? $r->__GET('dOtHi') : date('H:i:s'); ?>" data-fechformat="<?php echo isset($r) ? $r->__GET('dOtHi') : date('H:i:s'); ?>">
                                    </div>

                                    <div class="col-md-6 form-group">
                                        <label>Fecha de Salida</label>
                                        <input type="text" class="form-control" name="dOtFs" id="dOtFs" value="<?php echo isset($r) ? $r->__GET('dOtFs') : date('Y-m-d'); ?>" data-fechformat="<?php echo isset($r) ? $r->__GET('dOtFs') : date('Y-m-d'); ?>">
                                    </div>

                                    <div class="col-md-6 form-group">
                                        <label>Hora de Salida</label>
                                        <input type="text" class="form-control" name="dOtHs" id="dOtHs" value="<?php echo isset($r) ? $r->__GET('dOtHs') : date('H:i:s'); ?>" data-fechformat="<?php echo isset($r) ? $r->__GET('dOtHs') : date('H:i:s'); ?>">
                                    </div>

                                    <div class="col-md-12 form-group">
                                        <label>Tipo de Mantenimiento</label>
                                        <select class="form-control" name="nOtTipoMant" id="nOtTipoMant">
                                            <?php foreach ($tiposMantenimientos as $item) { ?>
                                                <option value="<?php echo $item['id']; ?>"
                                                    <?php  echo isset($r) ? $r->__GET('nOtTipoMant') == $item['id']
                                                        ? 'selected'
                                                        : ''
                                                        : '';
                                                    ?>
                                                > <?php echo $item['descripcion']; ?> </option>
                                            <?php } ?>
                                        </select>
                                    </div>

                                    <div class="col-md-12 form-group">
                                        <label>Motivo de Mantenimiento</label>
                                        <textarea class="form-control" name="sOtMotMant" id="sOtMotMant"><?php echo isset($r) ? $r->__GET('sOtMotMant'):'';?></textarea>
                                    </div>

                                    <div class="col-md-12 form-group">
                                        <label>Tipo de Atencion</label>
                                        <select class="form-control" name="nOtTipoAtencion" id="nOtTipoAtencion">
                                            <?php foreach ($tiposAtencion as $at) { ?>
                                                <option value="<?php echo $at['id']; ?>"
                                                    <?php  echo isset($r) ? $r->__GET('nOtTipoAtencion') == $at['id']
                                                        ? 'selected'
                                                        : ''
                                                        : '';
                                                    ?>
                                                > <?php echo $at['descripcion']; ?> </option>
                                            <?php } ?>
                                        </select>
                                    </div>

                                    <div class="col-md-6 form-group">
                                        <label>Kilómetraje</label>
                                        <input type="number" class="form-control" name="nOtKilometraje" id="nOtKilometraje" value="<?php echo isset($r) ? $r->__GET('nOtKilometraje'):'';?>">
                                    </div>
                                    <div class="col-md-6 form-group">
                                        <label>Horómetro</label>
                                        <input type="number" class="form-control" name="nOtHorometro" id="nOtHorometro" value="<?php echo isset($r) ? $r->__GET('nOtHorometro'):'';?>">
                                    </div>

                                    <div class="col-md-12 form-group">
                                        <label>Recomendaciones de Siguiente Servicio</label>
                                        <textarea class="form-control" name="sOtRecomendaciones" id="sOtRecomendaciones"><?php echo isset($r) ? $r->__GET('sOtRecomendaciones'):'';?></textarea>
                                    </div>

                                </div>
                            </div>
                        </div>

                        <!-- /.box-body -->
                        <div class="box-footer text-center">
                            <button id="guardarBTN" type="submit" xonmouseover="ErrorCalculo(); this.onmouseover=function(){return false}" class="btn btn-primary btn-flat btn-custom" style="background-color: blue;">Guardar</button>
                            <a href="?c=Atencion&a=Index" style="background-color: red;" class="btn btn-danger btn-flat btn-custom">Cancelar</a>
                        </div>
                    </form>
                </div>

                <div class="col-md-8">
                    <!-- trabajos internos -->
                    <div class="col-md-12">
                        <div id="accordionTrabajosInternos">
                            <div class="card">
                                <div class="card-header" id="headingTrabajosInternos">
                                    <h2 class="mb-0">
                                        <button class="accordion-button" type="button" data-toggle="collapse" data-target="#collapseTrabajosInternos" aria-expanded="false" aria-controls="collapseTrabajosInternos">
                                            <span style="display: flex; gap: 10px; align-items: center; justify-content: center;">
                                                <i class="fa fa-chevron-right"></i>
                                                <span>Trabajos Internos</span>
                                            </span>
                                            <span style="background-color: blue; color: white; border-radius: 50%; width: 25px; height: 25px; display: inline-flex; justify-content: center; align-items: center; font-weight: bold;" id="contador">
                                                <?php echo isset($count_atenciones_internas) ? $count_atenciones_internas : 0 ?>
                                            </span>
                                        </button>
                                    </h2>
                                </div>
                                <div id="collapseTrabajosInternos" class="collapse" aria-labelledby="headingTrabajosInternos" data-parent="#accordionTrabajosInternos">
                                    <div class="card-body accordion-body">
                                        <div class="box-body">
                                            <div class="row">
                                                <div class="col-md-12 text-right" style="padding-bottom: 10px;"><br>
                                                    <a class="botonNuevo btn btn-ingresar" style="border-radius: 0.5rem;" href="javascript:void(0)" id="btnAgregar" onclick="return agregar_atencioninterna()"> Agregar </a>
                                                </div>
        
                                                <div class="box-body">
                                                    <table class="table table-bordered table-striped table-hover text-center table-shadow">
                                                        <thead>
                                                            <tr style="background-color:rgb(214, 212, 212);">
                                                                <th>TAREA</th>
                                                                <th>TECNICO</th>
                                                                <th>TIEMPO EMPLEADO</th>
                                                                <th></th>
                                                            </tr>
                                                        </thead>
                                                        <tbody id="example1">
                                                            
                                                        <?php if (isset($atenciones_internas)) { ?>

                                                                <?php foreach ($atenciones_internas as $item) {

                                                                    list($horas, $minutos) = explode(":", $item->sOtiTiempo);
                                                                    $total_minutos = ($horas * 60 + $minutos) * $item->nOtiCantidad;

                                                                    $nuevas_horas = floor($total_minutos / 60);
                                                                    $nuevos_minutos = $total_minutos % 60;

                                                                    $tiempo_total = "";
                                                                    if ($nuevas_horas > 0) {
                                                                        $tiempo_total .= "$nuevas_horas horas ";
                                                                    }
                                                                    if ($nuevos_minutos > 0) {
                                                                        $tiempo_total .= "$nuevos_minutos minutos";
                                                                    }
                                                                ?>
                                                                    <tr>
        
                                                                        <td> <?php echo $item->sTarNombre ?> </td>
                                                                        <td> <?php echo $item->sPerApellidos .' '. $item->sPerNombres ?></td>
                                                                        <td> <?php echo $tiempo_total ?> </td>
        
                                                                        <td>
        
                                                                            <a href="#" style="border-radius: 0.5rem;" class="btn btn-success btn-flat btn-xs" onclick="FrmEditarAtencionInterna('<?php echo $item->OrdenTrabajoInterno_Id ?>');">
                                                                                <i class="fa fa-edit"></i> 
                                                                            </a>
        
                                                                            <a href="#" style="border-radius: 0.5rem;" class="btn btn-danger btn-flat btn-xs" data-toggle="modal" data-target="#modal_confirmareliminar_atencion" onclick="AbrirModalEliminarOrdenInterna('<?php echo $item->OrdenTrabajoInterno_Id ?>')">
                                                                                <i class="fa fa-times"></i> 
                                                                            </a>
                                                                        </td>
                                                                    </tr>
                                                                <?php } ?>
        
                                                            <?php } ?>
        
                                                        </tbody>
                                                    </table>
                                                </div>
        
        
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                
                    <!-- trabajos externos -->
                    <div class="col-md-12">
                        <div id="accordionTrabajosExternos">
                            <div class="card">
                                <div class="card-header" id="headingTrabajosExternos">
                                    <h2 class="mb-0">
                                        <button class="accordion-button" type="button" data-toggle="collapse" data-target="#collapseTrabajosExternos" aria-expanded="false" aria-controls="collapseTrabajosExternos">
                                            <span style="display: flex; gap: 10px; align-items: center; justify-content: center;">
                                                <i class="fa fa-chevron-right"></i>
                                                <span>Trabajos Externos</span>
                                            </span>
                                            <span style="background-color: blue; color: white; border-radius: 50%; width: 25px; height: 25px; display: inline-flex; justify-content: center; align-items: center; font-weight: bold;">
                                                <?php echo isset($count_atenciones_externas) ? $count_atenciones_externas : 0 ?>
                                            </span>
                                        </button>
                                    </h2>
                                </div>
                                <div id="collapseTrabajosExternos" class="collapse" aria-labelledby="headingTrabajosExternos" data-parent="#accordionTrabajosExternos">
                                    <div class="card-body accordion-body">
                                        <div class="box-body">
                                            <div class="row">
                                                <div class="col-md-12 text-right" style="padding-bottom: 10px;"><br>
                                                    <a class="botonNuevo btn btn-ingresar" style="border-radius: 0.5rem;" id="btnAddTrabajosExternos" onclick="FuncionesMovimiento.FrmGuardarMovimiento('1', $('#OrdenTrabajo_Id').val());" >Agregar</a>
                                                </div>
        
                                                <div class="box-body">
                                                    <table id="example1" class="table table-bordered table-striped table-hover text-center table-shadow">
                                                        <thead>
                                                            <tr style="background-color:rgb(214, 212, 212);">
                                                                <th>DOCUMENTO</th>
                                                                <!-- <th>CLIENTE/PROVEEDOR</th> -->
                                                                <th>TOTAL</th>
                                                                <th>ESTADO</th>
                                                                <th></th>
                                                            </tr>
                                                        </thead>
                                                        <tbody id="example2">
                                                            
                                                        <?php if (isset($atenciones_externas)) { ?>
        
                                                                <?php foreach ($atenciones_externas as $item) { ?>
                                                                    <tr>
        
                                                                        <td> <?php echo $item->__GET('Documento') ?> </td>
                                                                        <!-- <td> <?php echo $item->__GET('sODNombreComercial') ?></td> -->
                                                                        <td> <?php echo $item->__GET('nMovTotal') ?> </td>
                                                                        <td>
                                                                            <?php
                                                                                if ($item->__GET('nMovEstado') == '0') {
                                                                                    echo '<span class="text-danger" style="background-color: rgb(255, 218, 218); padding: 0.5rem; font-weight: 600">ANULADO</span>';
                                                                                } else if ($item->__GET('nMovEstado') == '1') {
                                                                                    echo '<span class="text-warning" style="background-color: rgb(241, 222, 158); padding: 0.5rem; font-weight: 600">REGISTRADO</span>';
                                                                                } else if ($item->__GET('nMovEstado') == '2') {
                                                                                    echo '<span class="text-success" style="background-color: rgb(218, 255, 218); padding: 0.5rem; font-weight: 600">PAGADO</span>';
                                                                                }
                                                                            ?>
                                                                        </td>
                                                                        <td> 
                                                                            <a href="#" style="border-radius: 0.5rem;" class="btn btn-primary btn-flat btn-xs" data-toggle="modal" data-target="#modal-ver" onclick="FuncionesMovimiento.MostrarMovimiento('<?php echo $item->__GET('Movimiento_Id'); ?>');">
                                                                                <i class="glyphicon glyphicon-eye-open"></i>
                                                                            </a>
        
                                                                            <a href="#" style="border-radius: 0.5rem;" class="btn btn-danger btn-flat btn-xs <?php echo $item->__GET('nMovEstado') == '0' ? 'disabled' : ''; ?>" data-toggle="modal" data-target="#modal-eliminar" data-codigo="<?php echo $item->__GET('Movimiento_Id'); ?>" data-dias="<?php echo $item->__GET('cantidaddias'); ?>" data-sunat="<?php echo $item->__GET('nMovEstadoSunat'); ?>" data-tipomovimiento="<?php echo $item->__GET('nMovTipoMovimiento_Id'); ?>">
                                                                                <i class="fa fa-times"></i>
                                                                            </a>
        
                                                                        </td>
                                                                    </tr>
                                                                <?php } ?>
        
                                                            <?php } ?>
        
                                                        </tbody>
                                                    </table>
                                                </div>
        
        
                                            </div>
                                        </div>
                                    </div>

                                </div>
                            </div>
                        </div>
                    </div>

                    <!-- repuestos -->
                    <div class="col-md-12">
                        <div id="accordionRepuestos">
                            <div class="card">
                                <div class="card-header" id="headingRepuestos">
                                    <h2 class="mb-0">
                                        <button class="accordion-button" type="button" data-toggle="collapse" data-target="#collapseRepuestos" aria-expanded="false" aria-controls="collapseRepuestos">
                                            <span style="display: flex; gap: 10px; align-items: center; justify-content: center;">
                                                <i class="fa fa-chevron-right"></i>
                                                <span>Repuestos</span>
                                            </span>
                                            <span style="background-color: blue; color: white; border-radius: 50%; width: 25px; height: 25px; display: inline-flex; justify-content: center; align-items: center; font-weight: bold;">
                                                <?php echo isset($count_repuestos) ? $count_repuestos : 0 ?>
                                            </span>
                                        </button>
                                    </h2>
                                </div>
                                <div id="collapseRepuestos" class="collapse" aria-labelledby="headingRepuestos" data-parent="#accordionRepuestos">
                                    <div class="card-body accordion-body">
                                        <div class="box-body">
                                            <div class="row">
                                                <div class="col-md-12 text-right" style="padding-bottom: 10px;"><br>
                                                    <a class="botonNuevo btn btn-ingresar" style="border-radius: 0.5rem;" id="btnAgregarRepuestos" onclick="FuncionesMovimiento.FrmGuardarMovimiento('2', $('#OrdenTrabajo_Id').val());">Agregar</a>
                                                </div>
        
                                                <div class="box-body">
                                                    <table id="example1" class="table table-bordered table-striped table-hover text-center table-shadow">
                                                        <thead>
                                                            <tr style="background-color:rgb(214, 212, 212);">
                                                                <th>DOCUMENTO</th>
                                                                <!-- <th>CLIENTE/PROVEEDOR</th> -->
                                                                <th>TOTAL</th>
                                                                <th>ESTADO</th>
                                                                <th></th>
                                                            </tr>
                                                        </thead>
                                                        <tbody id="example3">
                                                            
                                                        <?php if (isset($repuestos)) { ?>
        
                                                                <?php foreach ($repuestos as $item) { ?>
                                                                    <tr>
        
                                                                        <td> <?php echo $item->__GET('Documento') ?> </td>
                                                                        <!-- <td> <?php echo $item->__GET('sODNombreComercial') ?></td> -->
                                                                        <td> <?php echo $item->__GET('nMovTotal') ?> </td>
                                                                        <td>
                                                                            <?php
                                                                                if ($item->__GET('nMovEstado') == '0') {
                                                                                    echo '<span class="text-danger" style="background-color: rgb(255, 218, 218); padding: 0.5rem; font-weight: 600">ANULADO</span>';
                                                                                } else if ($item->__GET('nMovEstado') == '1') {
                                                                                    echo '<span class="text-warning" style="background-color: rgb(241, 222, 158); padding: 0.5rem; font-weight: 600">REGISTRADO</span>';
                                                                                } else if ($item->__GET('nMovEstado') == '2') {
                                                                                    echo '<span class="text-success" style="background-color: rgb(218, 255, 218); padding: 0.5rem; font-weight: 600">PAGADO</span>';
                                                                                }
                                                                            ?>
                                                                        </td>
                                                                        <td> 
                                                                            <a href="#" style="border-radius: 0.5rem;" class="btn btn-primary btn-flat btn-xs" data-toggle="modal" data-target="#modal-ver" onclick="FuncionesMovimiento.MostrarMovimiento('<?php echo $item->__GET('Movimiento_Id'); ?>');">
                                                                                <i class="glyphicon glyphicon-eye-open"></i>
                                                                            </a>
        
                                                                            <a href="#" style="border-radius: 0.5rem;" class="btn btn-danger btn-flat btn-xs <?php echo $item->__GET('nMovEstado') == '0' ? 'disabled' : ''; ?>" data-toggle="modal" data-target="#modal-eliminar" data-codigo="<?php echo $item->__GET('Movimiento_Id'); ?>" data-dias="<?php echo $item->__GET('cantidaddias'); ?>" data-sunat="<?php echo $item->__GET('nMovEstadoSunat'); ?>">
                                                                                <i class="fa fa-times"></i>
                                                                            </a>
        
                                                                        </td>
                                                                    </tr>
                                                                <?php } ?>
        
                                                            <?php } ?>
        
                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                </div>
                            </div>
                        </div>
                    </div>
                
                    <!-- Cotizaciones -->
                    <div class="col-md-12">
                        <div id="accordionCotizacion">
                            <div class="card">
                                <div class="card-header" id="headingCotizacion">
                                    <h2 class="mb-0">
                                        <button class="accordion-button" type="button" data-toggle="collapse" data-target="#collapseCotizacion" aria-expanded="false" aria-controls="collapseCotizacion">
                                            <span style="display: flex; gap: 10px; align-items: center; justify-content: center;">
                                                <i class="fa fa-chevron-right"></i>
                                                <span>Cotizaciones</span>
                                            </span>
                                            <span style="background-color: blue; color: white; border-radius: 50%; width: 25px; height: 25px; display: inline-flex; justify-content: center; align-items: center; font-weight: bold;">
                                                <?php echo isset($count_cotizaciones) ? $count_cotizaciones : 0 ?>
                                            </span>
                                        </button>
                                    </h2>
                                </div>
                                <div id="collapseCotizacion" class="collapse" aria-labelledby="headingCotizacion" data-parent="#accordionCotizacion">
                                    <div class="card-body accordion-body">
                                        <div class="box-body">
                                            <div class="row">
                                                <div class="col-md-12 text-right" style="padding-bottom: 10px;"><br>
                                                    <a class="botonNuevo btn btn-ingresar" style="border-radius: 0.5rem;" id="btnAgregarInventario" data-toggle="modal" data-target="#modalTipoCotizacion">
                                                        Agregar
                                                    </a>
                                                    <!-- <a class="botonNuevo btn btn-ingresar" style="border-radius: 0.5rem;" id="btnAgregarCotizacion" onclick="FuncionesCotizacion.FrmGuardarMovimiento($('#OrdenTrabajo_Id').val());" >Agregar</a> -->
                                                </div>

                                                <div class="box-body">
                                                    <table id="example1" class="table table-bordered table-striped table-hover text-center table-shadow">
                                                        <thead>
                                                            <tr style="background-color:rgb(214, 212, 212);">
                                                                <th>DOCUMENTO</th>
                                                                <!-- <th>CLIENTE/PROVEEDOR</th> -->
                                                                <th>TOTAL</th>
                                                                <th>ESTADO</th>
                                                                <th></th>
                                                            </tr>
                                                        </thead>
                                                        <tbody id="example4">
                                                                <?php if (isset($cotizaciones)) { ?>

                                                                        <?php foreach ($cotizaciones as $item) { ?>
                                                                            <tr>

                                                                                <td> <?php echo $item->__GET('Documento') ?> </td>
                                                                                <!-- <td> <?php echo $item->__GET('sODNombreComercial') ?></td> -->
                                                                                <td> <?php echo $item->__GET('nMovTotal') ?> </td>
                                                                                <td>
                                                                                    <?php
                                                                                        if ($item->__GET('nMovEstado') == '0') {
                                                                                            echo '<span class="text-danger" style="background-color: rgb(255, 218, 218); padding: 0.5rem; font-weight: 600">ANULADO</span>';
                                                                                        } else if ($item->__GET('nMovEstado') == '1') {
                                                                                            echo '<span class="text-warning" style="background-color: rgb(241, 222, 158); padding: 0.5rem; font-weight: 600">REGISTRADO</span>';
                                                                                        } else if ($item->__GET('nMovEstado') == '2') {
                                                                                            echo '<span class="text-success" style="background-color: rgb(218, 255, 218); padding: 0.5rem; font-weight: 600">PAGADO</span>';
                                                                                        }
                                                                                    ?>
                                                                                </td>
                                                                                <td> 
                                                                                    <a href="#" class="btn btn-primary btn-flat btn-xs" data-toggle="modal" data-target="#modal-ver1" style="border-radius: 0.5rem;" onclick="FuncionesCotizacion.MostrarMovimiento('<?php echo $item->__GET('Movimiento_Id'); ?>');">
                                                                                        <i class="glyphicon glyphicon-eye-open"></i>
                                                                                    </a>

                                                                                    <?php
                                                                                        if ($item->__GET('nMovEstado') != '0') {
                                                                                        ?>
                                                                                            <a type="button" style="border-radius: 0.5rem;" class="btn btn-info btn-flat btn-xs" onclick="FuncionesCotizacion.PromoverCotizacion('<?php echo $item->__GET('Movimiento_Id'); ?>')" title="Promover cotización">
                                                                                                <i class="fa fa-credit-card" aria-hidden="true"></i>
                                                                                            </a>
                                                                                        <?php
                                                                                        }
                                                                                    ?>
                                                                                    
                                                                                    <a href="#" style="border-radius: 0.5rem;" class="btn btn-danger btn-flat btn-xs <?php echo $item->__GET('nMovEstado') == '0' ? 'disabled' : ''; ?>" data-toggle="modal" data-target="#modal-eliminar1" data-codigo="<?php echo $item->__GET('Movimiento_Id'); ?>">
                                                                                        <i class="fa fa-times"></i>
                                                                                    </a>
                                                                                </td>
                                                                            </tr>
                                                                        <?php } ?>

                                                                <?php } ?>
                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                </div>

                            </div>
                        </div>
                    </div>

                    <!-- Inventario -->
                    <div class="col-md-12">
                        <div id="accordionInventario">
                            <!-- Encabezado del acordeón -->
                            <div class="card">
                                <div class="card-header" id="headingInventario">
                                    <h2 class="mb-0">
                                        <button class="accordion-button" type="button" data-toggle="collapse" data-target="#collapseInventario" aria-expanded="false" aria-controls="collapseInventario">
                                            <span style="display: flex; gap: 10px; align-items: center; justify-content: center;">
                                                <i class="fa fa-chevron-right"></i>
                                                <span>Inventario</span>
                                            </span>
                                            <span style="background-color: blue; color: white; border-radius: 50%; width: 25px; height: 25px; display: inline-flex; justify-content: center; align-items: center; font-weight: bold;" id="contador_inventario">
                                                <?php echo isset($count_inventarios) ? $count_inventarios : 0 ?>
                                            </span>
                                        </button>
                                    </h2>
                                </div>

                                <!-- Contenido del acordeón -->
                                <div id="collapseInventario" class="collapse" aria-labelledby="headingInventario" data-parent="#accordionInventario">
                                    <div class="card-body accordion-body">

                                        <div class="box-body">
                                            <div class="row">
                                                <div class="col-md-12 text-right" style="padding-bottom: 10px;"><br>
                                                    <a class="botonNuevo btn btn-ingresar" style="border-radius: 0.5rem;" id="btnAgregarInventario" onclick="FuncionesInventario.FrmGuardarInventario($('#OrdenTrabajo_Id').val());">Agregar</a>
                                                </div>

                                                <div class="box-body">
                                                    <table id="example1" class="table table-bordered table-striped table-hover text-center table-shadow">
                                                        <thead>
                                                            <tr style="background-color:rgb(214, 212, 212);">
                                                                <th>FECHA DE INGRESO</th>
                                                                <th>PLACA</th>
                                                                <th>FECHA DE SALIDA</th>
                                                                <th></th>
                                                            </tr>
                                                        </thead>
                                                        <tbody id="example5">
                                                            <?php if (isset($inventarios)) { ?>
                                                                <?php foreach ($inventarios as $item) { ?>
                                                                    <tr>
                                                                        <td> <?php echo $item->dInvFechaIngreso ?> </td>
                                                                        <td> <?php echo $item->sInvPlaca ?></td>
                                                                        <td> <?php echo $item->dInvFechaSalida ?> </td>
                                                                        <td> 
                                                                            <a href="#" style="border-radius: 0.5rem;" class="btn btn-danger btn-flat btn-xs" data-toggle="modal" data-target="#EliminarInventario" data-codigo="<?php echo $item->Inventario_Id; ?>">
                                                                                <i class="fa fa-times"></i> 
                                                                            </a>
                                                                        </td>
                                                                    </tr>
                                                                <?php } ?>
                                                            <?php } ?>
                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                        </div>                    
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

            </div><!-- /.box -->
        </div>
    </div><!-- /.col -->
</section><!-- /.content -->


<!-- Modal para abrir y elegir el tipo de cotización -->
<div class="modal fade" id="modalTipoCotizacion" tabindex="-1" role="dialog" aria-labelledby="modalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <h4 class="modal-title">Escoger Listado de Cotización</h4>
            </div>
            <div class="modal-body">
                <label for="tipoCotizacion">Tipo de Cotización:</label>
                <select id="tipoCotizacion" class="form-control">
                    <option value="1">Manual</option>
                    <option value="2">Repuestos</option>
                    <option value="3">Trabajos Externos</option>
                </select>
            </div>
            <div class="modal-footer" style="text-align: center;">
                <button type="button" class="btn btn-ingresar" style="background-color: rgb(36, 157, 255); color:rgb(241, 237, 237); font: 800;" id="btnAceptarCotizacion">Aceptar</button>
                <button type="button" class="btn btn-secondary" style="background-color:rgb(247, 65, 65); color:rgb(233, 227, 227); font: 800;" data-dismiss="modal">Cancelar</button>
            </div>
        </div>
    </div>
</div>

<!-- modal de agregar trabajos internos -->
<div class="modal fade" id="AgregarMantenimiento">
    <div class="modal-dialog">
        <div class="modal-content" style="border-radius: 0.5rem;">
            <form action="javascript:GuardarDetalleOrdenInterna();" method="POST" id="FrmAgregarAtencionInterna" enctype="multipart/form-data">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <h4 class="modal-title">Trabajos internos</h4>
                </div>

                <div class="modal-body">
                    <div class="row">
                        <div class="modal-body">
                            <div class="row">
                                <div class="col-md-12" id="resultado_atencioninterna"></div>
                                <div class="col-md-6 form-group">
                                    <div id="resultado_atencioninterna"></div>
                                    <input type="hidden" name="OrdenTrabajoInterno_Id" id="OrdenTrabajoInterno_Id">
                                    <label>Cantidad</label>
                                    <input type="number" class="form-control" name="nOtiCantidad" id="nOtiCantidad">
                                </div>
                                <div class="col-md-6 form-group">
                                    <label>Tiempo empleado</label>
                                    <input type="text" class="form-control" name="sOtiTiempo" id="sOtiTiempo">
                                </div>

                                <div class="col-md-12 form-group">
                                    <label>Sistema</label>
                                    <select name="nOtiSistema_Id" id="nOtiSistema_Id" class="form-control">
                                        <option value="">-- Seleccione un sistema --</option>
                                        <?php foreach ($sistemas as $sis) { ?>
                                            <option value="<?php echo $sis->__GET('Sistema_id'); ?>"> <?php echo $sis->__GET('sSisNombre'); ?> </option>
                                        <?php } ?>
                                    </select>
                                </div>

                                <div class="col-md-12 form-group">
                                    <label>Tarea</label>
                                    <select name="nOtiTarea_Id" id="nOtiTarea_Id" class="form-control">
                                        <option value="">-- Seleccione una tarea --</option>
                                    </select>
                                </div>

                                <div class="col-md-12 form-group">
                                    <label>Técnico</label>
                                    <select name="nOtiPersonal_Id" id="nOtiPersonal_Id" class="form-control">
                                        <?php foreach ($tecnicos as $tec) { ?>
                                            <option value="<?php echo $tec->__GET('Personal_Id'); ?>"> <?php echo $tec->__GET('sPerNombres') . ' ' . $tec->__GET('sPerApellidos'); ?> </option>
                                        <?php } ?>
                                    </select>
                                </div>

                                <div class="col-md-12">
                                    <label >Descripción</label>
                                    <textarea name="sOtiDescripcion" id="sOtiDescripcion" class="form-control"></textarea>
                                </div>

                                <div class="col-md-12" style="display: none;">
                                    <label >Fotografía</label>
                                    <input  name="sOtiFotografia" id="sOtiFotografia" class="form-control" type="file" accept=".png, .jpeg, .jpg" />
                                </div>

                            </div>
                        </div>

                    </div>
                </div>

                <div class="modal-footer">
                    <button type="submit" class="btn" style="background-color: blue; color: white;">Guardar</button>
                    <button type="button" class="btn" data-dismiss="modal" style="background-color: red; color: white;">Cancelar</button>
                </div>
            </form>
        </div>
    </div>
</div>

<!-- eliminar atencion interna -->
<div class="modal fade" id="modal_confirmareliminar_atencion" tabindex="-1" role="dialog" aria-labelledby="modal-eliminar-label" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <form action="javascript:FrmEliminarOrdenInterna();" method="POST">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <h4 class="modal-title">Eliminar</h4>
                </div>
                <div class="modal-body">
                    <input type="hidden" id="id_Atencioninterna" name="id_Atencioninterna">
                    <p>¿Estás seguro que desea eliminar la atencion interna?</p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default btn-flat" data-dismiss="modal">No, Cancelar</button>
                    <button type="submit" class="btn btn-danger btn-flat">Si, Eliminar</button>
                </div>
            </form>
        </div>
    </div>
</div>

<div class="modal fade" id="modal-ver" tabindex="-1" role="dialog" aria-labelledby="modal-ver-label" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <form action="?c=Movimiento&a=PDFMovimiento" method="POST">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                    <h4 class="modal-title" id="modal-ver-label">Detalle del Movimiento</h4>
                </div>
                <div class="modal-body">
                    <input type="hidden" name="PDFMmovimiento_Id" id="PDFMmovimiento_Id" value="">
                    <table class="table table-striped" id="ver_datos">

                    </table>
                </div>
                <div class="modal-footer">
                    <!-- <button type="submit" class="btn btn-danger" formtarget="_blak"><i class="fa fa-print"></i>&nbsp;Imprimir</button> -->
                    <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                    <!-- <button type="button" onclick="Actualizar_obs_docref()" class="btn btn-success"><i class="fa fa-edit"></i>&nbsp;Actualizar</button> -->
                </div>
            </form>
        </div>
    </div>
</div>

<div class="modal fade" id="modal-eliminar" tabindex="-1" role="dialog" aria-labelledby="modal-eliminar-label" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <form action="#" method="POST">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                    <h4 class="modal-title" id="modal-eliminar-label">Anular movimiento</h4>
                </div>
                <div class="modal-body">
                    <input type="hidden" name="IdMovimiento" id="IdMovimiento" value="">
                    <input type="hidden" name="estadoSunat" id="estadoSunat" value="">
                    <input type="hidden" name="typemovi" id="typemovi" value="">
                    ¿Estás seguro que desea anular el movimiento?
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default btn-flat" data-dismiss="modal">No, cancelar</button>
                    <button onclick="anularMovimiento()" type="button" class="btn btn-danger btn-flat">Si, eliminar</button>
                </div>
            </form>
        </div>
    </div>
</div>

<div class="modal fade" id="modal-ver1" tabindex="-1" role="dialog" aria-labelledby="modal-ver-label" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <form action="?c=Movimiento&a=PDFMovimiento" method="POST">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                    <h4 class="modal-title" id="modal-ver-label">Detalle del Movimiento</h4>
                </div>
                <div class="modal-body">
                    <input type="hidden" name="PDFMmovimiento_Id1" id="PDFMmovimiento_Id1" value="">
                    <table class="table table-striped" id="ver_datos1">

                    </table>
                </div>
                <div class="modal-footer">
                    <!-- <button type="submit" class="btn btn-danger" formtarget="_blak"><i class="fa fa-print"></i>&nbsp;Imprimir</button> -->
                    <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                    <!-- <button type="button" onclick="Actualizar_obs_docref()" class="btn btn-success"><i class="fa fa-edit"></i>&nbsp;Actualizar</button> -->
                </div>
            </form>
        </div>
    </div>
</div>

<div class="modal fade" id="modal-eliminar1" tabindex="-1" role="dialog" aria-labelledby="modal-eliminar-label" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <form action="#" method="POST">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                    <h4 class="modal-title" id="modal-eliminar-label">Anular cotización</h4>
                </div>
                <div class="modal-body">
                    <input type="hidden" name="IdMovimiento1" id="IdMovimiento1" value="">
                    <input type="hidden" name="estadoSunat1" id="estadoSunat1" value="">
                    ¿Estás seguro que desea anular la cotización?
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default btn-flat" data-dismiss="modal">No, cancelar</button>
                    <button type="button" onclick="anularMovimientoCotizacion()" class="btn btn-danger btn-flat">Si, eliminar</button>
                </div>
            </form>
        </div>
    </div>
</div>

<div class="modal fade" id="EliminarInventario">
    <div class="modal-dialog">
        <div class="modal-content">
            <form action="#" method="POST">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <h4 class="modal-title">Eliminar</h4>
                </div>
                <div class="modal-body">
                    <input type="hidden" id="id_Inventario" name="id_Inventario">
                    <p>¿Estás seguro que desea eliminar el inventario?</p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default btn-flat" data-dismiss="modal">No, Cancelar</button>
                    <button type="button" onclick="EliminarInventario()" class="btn btn-danger btn-flat">Si, Eliminar</button>
                </div>
            </form>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->


<script src="view/librerias/dist/js/funcionesAtencion.js"></script>
<script src="view/librerias/dist/js/funcionesMovimiento.js"></script>
<script src="view/librerias/dist/js/funcionesCotizacion.js"></script>
<script src="view/librerias/dist/js/funcionesInventario.js"></script>

<script type="text/javascript">

    document.getElementById('btnAceptarCotizacion').addEventListener('click', function () {
        var tipoCotizacion = document.getElementById('tipoCotizacion').value;
        var ordenTrabajoId = $('#OrdenTrabajo_Id').val(); // Obtener el ID de la orden de trabajo

        // Ocultar el modal antes de redirigir
        $('#modalTipoCotizacion').modal('hide');

        // Esperar un momento para que el modal se cierre correctamente
        setTimeout(function() {
            FuncionesCotizacion.FrmGuardarMovimiento(ordenTrabajoId, tipoCotizacion);
        }, 300);
    });


    
    $('#modal-eliminar').on('show.bs.modal', function(event) {
        var button = $(event.relatedTarget); // Button that triggered the modal
        var recipient = button.data('codigo'); // Extract info from data-* attributes
        var sunat = button.data('sunat'); // Extract info from data-* attributes

        $("#IdMovimiento").val(recipient);
        $("#estadoSunat").val(sunat);
    });

    $('#modal-eliminar1').on('show.bs.modal', function(event) {
        var button = $(event.relatedTarget); // Button that triggered the modal
        var recipient = button.data('codigo'); // Extract info from data-* attributes
        $("#IdMovimiento1").val(recipient);
    });

    $('#EliminarInventario').on('show.bs.modal', function(event) {
        var button = $(event.relatedTarget); // Button that triggered the modal
        var recipient = button.data('codigo'); // Extract info from data-* attributes
        $("#id_Inventario").val(recipient);
    });


    function cargarVehiculos(clienteId, vehiculoSeleccionado) {
        if (clienteId !== "") {
            $.post(
                '?c=Atencion&a=ListarxClienteVehiculo',
                { Cliente_Id: clienteId },
                function(data) {
                    $("#sOtVehiculo_Id").html(data);

                    // Si hay un vehículo guardado, seleccionarlo
                    if (vehiculoSeleccionado) {
                        $("#sOtVehiculo_Id").val(vehiculoSeleccionado);
                    }
                }
            );
        } else {
            $("#sOtVehiculo_Id").html('<option value="">Seleccione un vehículo</option>');
        }
    }

    //REVISAR ESTA FUNCION
    function cargarTareas() {
        var sistemaId = $("#nOtiSistema_Id").val();
        if (sistemaId !== "") {
            $.post(
                '?c=Atencion&a=ListarTareasXSistema',
                { Sistema_Id: sistemaId },
                function(data) {
                    $("#nOtiTarea_Id").html(data);
                }
            );
        } else {
            $("#nOtiTarea_Id").html('<option value="">Seleccione una Tarea</option>');
        }
    }


    $(document).ready(function(){

            $("#FormAtencion").validators({
                rules: {
                    sOtNumOrden: {
                        required: true
                    },
                    sOtMotMant: {
                        maxlength: 50
                    },
                    nOtKilometraje: {
                        required: true
                    },
                    sOtRecomendaciones: {
                        maxlength: 150
                    }
                }
            });

            $("#FrmAgregarAtencionInterna").validators({
                rules: {
                    sOtiDescripcion: {
                        maxlength: 50
                    }
                }
            })

            if (document.getElementById('OrdenTrabajo_Id').value == '0') { 
                NumeroDocumentoOrdenTrabajo()
                $('#btnAgregar').css('pointer-events', 'none').css('opacity', '0.6');
                $('#btnAddTrabajosExternos').css('pointer-events', 'none').css('opacity', '0.6');
                $('#btnAgregarRepuestos').css('pointer-events', 'none').css('opacity', '0.6');
                $('#btnAgregarCotizacion').css('pointer-events', 'none').css('opacity', '0.6');
                $('#btnAgregarInventario').css('pointer-events', 'none').css('opacity', '0.6');
            }   

            var clienteSeleccionado = $("#sOtCliente_Id").val();
            var vehiculoSeleccionado = "<?php echo isset($r) ? $r->__GET('sOtVehiculo_Id') : ''; ?>";

            // Cargar vehículos al cargar la página si hay un cliente seleccionado
            if (clienteSeleccionado) {
                cargarVehiculos(clienteSeleccionado, vehiculoSeleccionado);
            }

            // Cargar vehículos cuando se cambie el cliente
            $("#sOtCliente_Id").change(function() {
                cargarVehiculos($(this).val(), null);
            });


            // Ejecutar cuando cambie el sistema
            $("#nOtiSistema_Id").change(function() {
                cargarTareas();
            });

    });

    $('#dOtFi').datetimepicker({
        viewMode: 'days',
        format: 'YYYY-MM-DD'
    });
    $('#dOtFs').datetimepicker({
        viewMode: 'days',
        format: 'YYYY-MM-DD'
    });
    $('#dOtHi').datetimepicker({
        format: 'HH:mm', // Formato solo para horas y minutos
    });

    $('#dOtHs').datetimepicker({
        format: 'HH:mm', // Formato solo para horas y minutos
    });

    $('#sOtiTiempo').datetimepicker({
        format: 'HH:mm', // Formato solo para horas y minutos
    });

    $('#modal_confirmareliminar_atencion').on('shown.bs.modal', function () {
        $(this).removeAttr('aria-hidden');
    });

    // Evento para resetear el modal al cerrarse
    $('#AgregarMantenimiento').on('hidden.bs.modal', function () {
        $('#FrmAgregarAtencionInterna')[0].reset(); // Resetea el formulario
        $('#nOtiSistema_Id, #nOtiTarea_Id, #nOtiPersonal_Id').prop('selectedIndex', 0); // Reinicia los selects



        // Limpia campos ocultos, áreas de texto y otros elementos si es necesario
        $('#modal_action').val('add');
        $('#editing_row_id').val('');
        $('#OrdenTrabajoInterno_Id').val(0);
        $('#resultado_atencioninterna').empty();

    });




</script>





