
<div class="row">
    <div class="col-md-12 form-group">
        <input type="hidden" id="Familia_Id" name="Familia_Id" value="<?php echo isset($r) ? $r->__GET('Familia_Id'):'0'; ?>"> 
        <input type="hidden" id="eliminar_values" name="eliminar_values" value="<?php echo isset($r) ? $r->__GET('Familia_Id') : '0'; ?>" data-padre="<?php echo isset($r) ? $r->__GET('nFamPadre') : '0'; ?>">
        <label>Código</label>
        <input type="text" class="form-control" name="sFamCodigo" id="sFamCodigo" placeholder="codigo" value="<?php echo isset($r) ? $r->__GET('sFamCodigo'):''; ?>">
    </div>
    <div class="col-md-12 form-group">
        <label>Padre</label>
        <select class="form-control" name="nFamPadre" id="nFamPadre">
            <option value="">Seleccionar padre</option>
            <?php
            foreach ($familia as $f) {
                ?>
                <option value="<?php echo $f->__GET('Familia_Id'); ?>" <?php echo isset($r) ? ($r->__GET('nFamPadre') == $f->__GET('Familia_Id') ? 'selected':'') :''; ?>><?php echo $f->__GET('sFamDescripcion'); ?></option>
                <?php
            }
            ?>
        </select>
        <span id="error_nFamPadre" style="color:rgb(250, 98, 98); font-weight: 600;"></span>
    </div>
    <div class="col-md-12 form-group">
        <label>Tipo</label>
        <select class="form-control" name="nFamTipo" id="nFamTipo">
            <option value="">Seleccionar tipo</option>
            <option value="1" <?php echo isset($r) ? ($r->__GET('nFamTipo') == 1 ? 'selected':'') :''; ?>>Producto</option>
            <option value="2" <?php echo isset($r) ? ($r->__GET('nFamTipo') == 2 ? 'selected':'') :''; ?>>Servicio</option>
        </select>
        <span id="error_nFamTipo" style="color:rgb(250, 98, 98); font-weight: 600;"></span>
    </div>
    <div class="col-md-12 form-group">
        <label>Estado</label>
        <select class="form-control" name="nFamEstado" id="nFamEstado">
            <option value="1" <?php echo isset($r) ? ($r->__GET('nFamEstado') == 1 ? 'selected':'') :''; ?>>Habilitado</option>
            <option value="0" <?php echo isset($r) ? ($r->__GET('nFamEstado') == 0 ? 'selected':'') :''; ?>>Deshabilitado</option>
        </select>
    </div>
    <div class="col-md-12 form-group">
        <label>Descripción</label>
        <textarea class="form-control" name="sFamDescripcion" id="sFamDescripcion" placeholder="Descripción"><?php echo isset($r) ? $r->__GET('sFamDescripcion'):''; ?></textarea>
    </div>
</div>

<script type="text/javascript" src="view/librerias/dist/js/funcionesValidacionSelect.js"></script>

<script type="text/javascript">

$(document).ready(function () {
    
    // Validación de los select al enviar el formulario
    $("#FrmFamilia").submit(function(e) {
            let isValid = true; 
            if (!validarSelect("nFamPadre", "error_nFamPadre", "Seleccione un padre")) {
                isValid = false;
            }
            if (!validarSelect("nFamTipo", "error_nFamTipo", "Seleccione un tipo")) {
                isValid = false;
            }
            if (!isValid) {
                e.preventDefault();
            }
        })

        $("#nFamPadre").change(function() {
            ocultarMensajeError("nFamPadre", "error_nFamPadre");
        });

        $("#nFamTipo").change(function() {
            ocultarMensajeError("nFamTipo", "error_nFamTipo");
        });


    $("#FrmFamilia").validators({
        rules: {
            sFamCodigo: {
                required: true,
                maxlength: 30
            },
            nFamEstado: {
                required: true
            },
            sFamDescripcion: {
                maxlength: 60
            }
        }
    })
})
</script>

<script>
    $('#modal-eliminar-familia').on('show.bs.modal', function(event) {

        var recipient = $('#eliminar_values').val();
        var datos = document.getElementById('eliminar_values');
        var padre = datos.dataset.padre;

        $("#Id_Familia").val(recipient);
        $("#Padre_Id").val(padre);
    });
</script>
