<style>
    .bottonFiltro {
        background-color:rgb(12, 155, 238);
        border-radius: 0.5rem;
        border: none;
        width: 3.5rem;
        height: 3.5rem;
    }
    .botonNuevo {
        color: black;
        font-weight: 700;
        width: 15rem;
        background-color:rgb(255, 219, 17);
    }
</style>

<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        Tareas
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="#"><i class="fa fa-dashboard"></i>Inicio</a></li>
        <li class="active">Tareas</li>
    </ol>
</section>
<!-- Main content -->
<section class="content">
    <div class="row">
        <div class="col-md-12" id="resultadoPasajero">
    
        </div>
        <div class="col-md-12">
            <div class="box box-primary" style="border-color: orange">
                
                <div class="box-header">
                    
                    <div class="row">
                        
                        <div class="col-md-12 text-right" style="text-align: right; margin-top: 10px;"><br>
                            <button class="botonNuevo btn btn-ingresar" data-toggle="modal" data-target="#Agregar" onclick="LimpiarFrmTareas()">Agregar</button>
                        </div>

                    </div>
                </div><!-- /.box-header -->
                
                <div class="box-body">
                    <table id="example1" class="table table-bordered table-striped table-hover text-center">
                        <thead>
                            <tr>
                                <th>CODIGO</th>
                                <th>NOMBRE DE LA TAREA</th>
                                <th>SISTEMA</th>
                                <!-- <th>TIPO DE FLOTA</th> -->
                                <th>TIEMPO</th>
                                <th>OPERACIONES</th>
                            </tr>
                        </thead>                  	
                        <tbody>  
                           <?php foreach ($tareas as $tar) {
                                // $tipoFlota = getDescripcionById($flotas, $tar->__GET('nTarTipoFlota'));
                            ?>
                                <tr>
                                    <td> <?php echo $tar->__GET('sTarCodigo') ?> </td>
                                    <td> <?php echo $tar->__GET('sTarNombre') ?> </td>
                                    <td> <?php echo $tar->__GET('sSisNombre') ?> </td>
                                    <!-- <td> <?php echo $tipoFlota ?> </td> -->
                                    <td> <?php echo $tar->__GET('sTarTiempoStandard') ?> min </td>
                                    <td> 
                                        <a href="#" class="btn btn-primary btn-flat btn-xs" style="border-radius: 0.5rem;" data-toggle="modal" data-target="#Mostrar" onclick="MostrarTareas('<?php echo $tar->__GET('Tareas_Id'); ?>');"> 
                                            <i class="fa fa-eye"></i> 
                                        </a>

                                        <a href="#" class="btn btn-success btn-flat btn-xs" style="border-radius: 0.5rem;" onclick="FrmEditarTareas('<?php echo $tar->__GET('Tareas_Id'); ?>');">
                                             <i class="fa fa-edit"></i> 
                                        </a>

                                        <a href="#" class="btn btn-danger btn-flat btn-xs" style="border-radius: 0.5rem;" data-toggle="modal" data-target="#Eliminar" data-codigo="<?php echo $tar->__GET('Tareas_Id'); ?>"> 
                                            <i class="fa fa-times"></i> 
                                        </a>
                                    </td>
                                </tr>
                           <?php } ?>
                        </tbody>
                        <tfoot>
                            <tr>
                                <th>CODIGO</th>
                                <th>NOMBRE DE LA TAREA</th>
                                <th>SISTEMA</th>
                                <!-- <th>TIPO DE FLOTA</th> -->
                                <th>TIEMPO</th>
                                <th>OPERACIONES</th>
                            </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
        </div>
    </div>
</section>


<div class="modal fade" id="Mostrar">
    <div class="modal-dialog">
        <div class="modal-content">
            <form action="?c=Almacen&a=EliminarAlmacen" method="POST">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <h4 class="modal-title">Mostrar Tareas</h4>
                </div>
                <div class="modal-body">
                    <table class="table table-bordered" id="ver_datos">
                        <tbody>
                            <tr>
                                <td>Cargando datos...</td>
                            </tr>
                        </tbody>
                    </table>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default btn-flat" data-dismiss="modal">Cerrar</button>
                    <!--<button type="submit" class="btn btn-danger btn-flat">Si, Eliminar</button>-->
                </div>
            </form>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->

<div class="modal fade" id="Eliminar">
    <div class="modal-dialog">
        <div class="modal-content">
            <form action="?c=Tareas&a=EliminarTarea" method="POST">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <h4 class="modal-title">Eliminar</h4>
                </div>
                <div class="modal-body">
                    <input type="hidden" id="idTarea" name="idTarea">
                    <p>¿Estás seguro que desea eliminar?</p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default btn-flat" data-dismiss="modal">No, Cancelar</button>
                    <button type="submit" class="btn btn-danger btn-flat">Si, Eliminar</button>
                </div>
            </form>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->

<!-- Modal modal-Agregar -->
<div class="modal fade" id="Agregar" tabindex="-1" role="dialog" aria-labelledby="modal-eliminar-label" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content" style="border-radius: 0.5rem;">
            <form action="javascript:GuardarTareas();" method="POST" id="FrmTareas">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                    <h4 class="modal-title" id="modal-eliminar-label">Tareas</h4>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="col-md-12">                            
                            <div id="resultado"></div>
                        </div>

                        <div class="col-md-12 form-group">
                            <input type="hidden" name="Tareas_Id" id="Tareas_Id">
                            <label>Código</label>
                            <input type="text" class="form-control" name="sTarCodigo" id="sTarCodigo" placeholder="Codigo">
                        </div>

                        <div class="col-md-12 form-group">
                            <label>Sistema</label>
                            <select class="form-control" name="sTarSistema_Id" id="sTarSistema_Id">
                                <?php foreach ($sistemas as $sis) { ?>
                                    <option value="<?php echo $sis->__GET('Sistema_id') ?>">
                                        <?php echo $sis->__GET('sSisNombre') ?>
                                    </option>
                                <?php } ?>
                            </select>
                        </div>   

                        <div class="col-md-12 form-group">
                            <label>Tipo de flota</label>
                            <select class="form-control" name="nTarTipoFlota" id="nTarTipoFlota">
                                <?php foreach ($flotas as $flo) { ?>
                                    <option value="<?php echo htmlspecialchars($flo['id']); ?>">
                                        <?php echo htmlspecialchars($flo['descripcion']) ?>
                                    </option>
                                <?php } ?>
                            </select>
                        </div>

                        <div class="col-md-12 form-group">
                            <label>Nombre de la tarea</label>
                            <input type="text" class="form-control" name="sTarNombre" id="sTarNombre" placeholder="Nombre de tarea">
                        </div>
                        
                        <div class="col-md-12 form-group">
                            <label>Tiempo standard (00:00)</label>
                            <input type="text" class="form-control" name="sTarTiempoStandard" id="sTarTiempoStandard" placeholder="Tiempo" style="width: 100%;" >
                        </div>
                        <div class="col-md-12 form-group">
                            <label>Valor Venta</label>
                            <input type="text" class="form-control" name="nTarValorVenta" id="nTarValorVenta" placeholder="Valor Venta" style="width: 100%;" >
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="submit" class="btn btn-primary btn-flat">Guardar</button>
                    <button type="button" class="btn" style="background-color: red; color: white;" data-dismiss="modal">Cancelar</button>
                </div>
            </form>
        </div>
    </div>
</div>


<script type="text/javascript" src="view/librerias/dist/js/funcionesTareas.js"></script>
<!-- <script type="text/javascript" src="view/librerias/dist/js/funcionesAlmacen.js"></script> -->

<script type="text/javascript">
    $(function() {
        jQuery.fn.dataTableExt.oSort['fecha-asc'] = function(a, b) {
            var ukDatea = a.split('-');
            var ukDateb = b.split('-');

            var x = (ukDatea[2] + ukDatea[1] + ukDatea[0]) * 1;
            var y = (ukDateb[2] + ukDateb[1] + ukDateb[0]) * 1;

            return ((x < y) ? -1 : ((x > y) ? 1 : 0));
        };

        jQuery.fn.dataTableExt.oSort['fecha-desc'] = function(a, b) {
            var ukDatea = a.split('-');
            var ukDateb = b.split('-');

            var x = (ukDatea[2] + ukDatea[1] + ukDatea[0]) * 1;
            var y = (ukDateb[2] + ukDateb[1] + ukDateb[0]) * 1;

            return ((x < y) ? 1 : ((x > y) ? -1 : 0));
        };
        $("#example1").dataTable({
            "scrollX": true,
            "bSort": true,
            "language": {
                "search": "",
                "lengthMenu": "Filas por página _MENU_",
                "zeroRecords": "No hay información para mostrar",
                "info": "Pagina _PAGE_ de _PAGES_ de _MAX_ ",
                "infoEmpty": "Pagina _PAGE_ - _PAGES_ de _MAX_ registros",
                "infoFiltered": "(filtered from _MAX_ total records)",
                "paginate": {
                    "previous": "Anterior",
                    "next": "Siguiente"
                }
            },
            "initComplete": function () {
                // Modificar el placeholder del input de búsqueda
                $('div.dataTables_filter input').attr('placeholder', 'Buscar');
            }
            
        });
        
        $("#FrmTareas").validators({
            rules: {
                sTarCodigo: {
                    required: true
                },
                sTarNombre: {
                    required: true,
                    maxlength: 50
                },
                nTarTipoFlota: {
                    required: true
                },
                sTarSistema_Id: {
                    required: true
                },
                sTarTiempoStandard: {
                    required: true
                },
                nTarEstado: {
                    required: true
                },
                nTarValorVenta: {
                    number: true
                }
            }
        })
    });
    $('#Eliminar').on('show.bs.modal', function(event) {
        var button = $(event.relatedTarget); // Button that triggered the modal
        var recipient = button.data('codigo'); // Extract info from data-* attributes

        // If necessary, you could initiate an AJAX request here (and then do the updating in a callback).
        // Update the modal's content. We'll use jQuery here, but you could use a data binding library or other methods instead.
        var modal = $(this);
        modal.find('.modal-body input').val(recipient);
    });

    function recorrerFlotas(id_Flota){

    }

</script>

