<style>
    .bottonFiltro {
        background-color:rgb(12, 155, 238);
        border-radius: 0.5rem;
        border: none;
        width: 3.5rem;
        height: 3.5rem;
    }
    .botonNuevo {
        color: black;
        font-weight: 700;
        width: 15rem;
        background-color:rgb(255, 219, 17);
    }
</style>

<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        Vehiculo
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="#"><i class="fa fa-dashboard"></i> Inicio</a></li>
        <li class="active">Vehiculo</li>
    </ol>
</section>
<!-- Main content -->
<section class="content">
    <div class="row">
        <div class="col-md-12" id="resultadoPasajero">

        </div>
        <div class="col-md-12">
            <div class="box box-primary" style="border-color: orange">
                
                <div class="box-header">
                    
                    <div class="row">
                        
                        <div class="col-md-12 text-right" style="text-align: right; margin-top: 10px;"><br>
                            <a class="botonNuevo btn btn-ingresar" style="border-radius: 0.5rem;"  onclick="FrmGuardarVehiculo();">Agregar</a>
                        </div>

                    </div>
                </div><!-- /.box-header -->
                
                <div class="box-body">
                    <table id="example1" class="table table-bordered table-striped table-hover text-center">
                        <thead>
                            <tr>
                                <th>PLACA</th>
                                <th>PROPIETARIO</th>
                                <th>MARCA</th>
                                <th>AÑO DE FABRICACION</th>
                                <th>MOTOR</th>
                                <th>CARGA UTIL</th>
                                <th>OPERACIONES</th>
                            </tr>
                        </thead>                  	
                        <tbody>  
                           <?php foreach ($vehiculos as $veh) { ?>
                                <tr>
                                    <td> <?php echo $veh->__GET('sVehPlaca') ?> </td>
                                    <td> <?php echo $veh->__GET('sODNombre') ?> </td>
                                    <td> <?php echo $veh->__GET('sVehMarca') ?> </td>
                                    <td> <?php echo $veh->__GET('dVehAFabricacion') ?> </td>
                                    <td> <?php echo $veh->__GET('sVehMotor') ?> </td>
                                    <td> <?php echo $veh->__GET('sVehCargaUtil') ?> Kg </td>
                                    <td>

                                        <a href="#" class="btn btn-primary btn-flat btn-xs" data-toggle="modal" data-target="#Mostrar" style="border-radius: 0.5rem;" onclick="MostrarVehiculo('<?php echo $veh->__GET('vehiculo_Id'); ?>');"> 
                                            <i class="fa fa-eye"></i> 
                                        </a>

                                        <a href="#" style="border-radius: 0.5rem;" class="btn btn-success btn-flat btn-xs" onclick="FrmEditarVehiculo('<?php echo $veh->__GET('vehiculo_Id'); ?>');">
                                            <i class="fa fa-edit"></i> 
                                        </a>

                                        <a href="#" style="border-radius: 0.5rem;" class="btn btn-danger btn-flat btn-xs" data-toggle="modal" data-target="#Eliminar" data-codigo="<?php echo $veh->__GET('vehiculo_Id'); ?>">
                                            <i class="fa fa-times"></i> 
                                        </a>

                                    </td>
                                </tr>
                           <?php } ?>
                        </tbody>
                        <tfoot>
                            <tr>
                                <th>PLACA</th>
                                <th>PROPIETARIO</th>
                                <th>MARCA</th>
                                <th>AÑO DE FABRICACION</th>
                                <th>MOTOR</th>
                                <th>CARGA UTIL</th>
                                <th>OPERACIONES</th>
                            </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
        </div>
    </div>
</section>

<div class="modal fade" id="Mostrar">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <form action="?c=Vehiculo&a=MostrarVehiculo" method="POST">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <h4 class="modal-title">Detalle de Vehiculo</h4>
                </div>
                <div class="modal-body">
                    <input type="hidden" id="Vehiculo_idMostrar" name="Vehiculo_idMostrar">
                    <table class="table table-bordered" id="ver_datos">
                        <tbody>
                            <tr>
                                <td>Cargando datos...</td>
                            </tr>
                        </tbody>
                    </table>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default btn-flat" data-dismiss="modal">Cerrar</button>
                    <!--<button type="submit" class="btn btn-danger btn-flat">Si, Eliminar</button>-->
                </div>
            </form>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->

<div class="modal fade" id="Eliminar">
    <div class="modal-dialog">
        <div class="modal-content">
            <form action="?c=Vehiculo&a=EliminarVehiculo" method="POST">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <h4 class="modal-title">Eliminar</h4>
                </div>
                <div class="modal-body">
                    <input type="hidden" id="idVehiculo" name="idVehiculo">
                    <p>¿Estás seguro que desea eliminar?</p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default btn-flat" data-dismiss="modal">No, Cancelar</button>
                    <button type="submit" class="btn btn-danger btn-flat">Si, Eliminar</button>
                </div>
            </form>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->

<script type="text/javascript" src="view/librerias/dist/js/funcionesVehiculo.js"></script>

<script type="text/javascript">

    $(function() {
        jQuery.fn.dataTableExt.oSort['fecha-asc'] = function(a, b) {
            var ukDatea = a.split('-');
            var ukDateb = b.split('-');

            var x = (ukDatea[2] + ukDatea[1] + ukDatea[0]) * 1;
            var y = (ukDateb[2] + ukDateb[1] + ukDateb[0]) * 1;

            return ((x < y) ? -1 : ((x > y) ? 1 : 0));
        };

        jQuery.fn.dataTableExt.oSort['fecha-desc'] = function(a, b) {
            var ukDatea = a.split('-');
            var ukDateb = b.split('-');

            var x = (ukDatea[2] + ukDatea[1] + ukDatea[0]) * 1;
            var y = (ukDateb[2] + ukDateb[1] + ukDateb[0]) * 1;

            return ((x < y) ? 1 : ((x > y) ? -1 : 0));
        };
        $("#example1").dataTable({
            "scrollX": true,
            "bSort": true,
            "language": {
                "search": "",
                "lengthMenu": "Filas por página _MENU_",
                "zeroRecords": "No hay información para mostrar",
                "info": "Pagina _PAGE_ de _PAGES_ de _MAX_ ",
                "infoEmpty": "Pagina _PAGE_ - _PAGES_ de _MAX_ registros",
                "infoFiltered": "(filtered from _MAX_ total records)",
                "paginate": {
                    "previous": "Anterior",
                    "next": "Siguiente"
                }
            },
            "initComplete": function () {
                // Modificar el placeholder del input de búsqueda
                $('div.dataTables_filter input').attr('placeholder', 'Buscar');
            }
            
        });
        
    });

    $('#Eliminar').on('show.bs.modal', function(event) {
        var button = $(event.relatedTarget); // Button that triggered the modal
        var recipient = button.data('codigo'); // Extract info from data-* attributes

        // If necessary, you could initiate an AJAX request here (and then do the updating in a callback).
        // Update the modal's content. We'll use jQuery here, but you could use a data binding library or other methods instead.
        var modal = $(this);
        modal.find('.modal-body input').val(recipient);
    });
</script>

