<?php

require_once 'model/parametro.entidad.php';
require_once 'model/parametro.model.php';
require_once 'model/sistema.entidad.php';
require_once 'model/sistema.model.php';

class SistemaController {

     private $parametro_model;
     private $sistema_model;
     private $seguridad;

     public function __CONSTRUCT(){

          $this->parametro_model = new ParametroModel();
          $this->sistema_model = new SistemaModel();
          $this->seguridad = new Seguridad();

     }
     
     public function Index() {

          $parametro = $this->parametro_model->ListarParametros();
          $sistema = $this->sistema_model->Listar();

          require_once 'view/header.php';
          require_once 'view/webforms/wfasistema.php';

          echo "<script type='text/javascript'>
                    $(document).ready(function (){
                         $('.taller').addClass('active');
                    });
               </script>";
          require_once 'view/footer.php';

     }

     public function FrmSistema(){
          $sistema = $this->sistema_model->Listar();
          require_once 'view/webforms/wfasistemaa.php';
     }

     public function GuardarSistema(){
          $sis = new Sistema();
          if($_POST['Sistema_id'] != 0 ? $sis->__SET('Sistema_id', $_POST['Sistema_id']) : '');
          $sis->__SET('sSiscodigo', $_POST['sSiscodigo']);
          $sis->__SET('sSisNombre', $_POST['sSisNombre']);
          $sis->__SET('sSisEliminado', 0);
          $sis->__SET('nSisUsuario_Id', $_SESSION['usu_codigo']);
          $sis->__SET('nSisEstado', 1);

          if($_POST['Sistema_id'] != 0 ? $this->sistema_model->Editar($sis) : $this->sistema_model->guardar($sis));

      }

      public function MostrarSistema(){
          $datos = $this->sistema_model->Buscar($_POST['Sistema_id']);
          foreach ($datos as $r){
              echo " <tbody>
                         <tr>
                              <th>
                              <input type='hidden' name='Sistema_idPrin' id='Sistema_idPrin' value='".$r->__GET('Sistema_id')."'> 
                              Codigo
                              </th>
                              <td>".$r->__GET('sSiscodigo')."</td>
                         </tr>
                         <tr>
                              <th>Nombre del sistema</th>
                              <td>".$r->__GET('sSisNombre')."</td>
                         </tr>  
                         <tr>
                              <th>Estado</th>
                              <td>".($r->__GET('nSisEstado') == '1' ? '<span class="label bg-green">Habilitado</span>' : '<span class="label bg-danger">Inhabilitado</span>')."</td>
                         </tr>
                    </tbody>
                    ";
          }
      }

      public function EliminarSistema(){
          $sis = new Sistema();
          $sis->__SET('Sistema_id', $_POST['idSistema']);
          $sis->__SET('nSisUsuario_Id', $_SESSION['usu_codigo']);
          $this->sistema_model->Eliminar($sis);
          echo '<script type="text/javascript">window.location="?c=Sistema&a=Index";</script>';
      }

      public function FrmEditarSistema(){
          $obtener = $this->sistema_model->Buscar($_POST['Sistema_id']);
          foreach ($obtener as $r):
              echo "<script type='text/javascript'>
                      document.getElementById('Sistema_id').value = '".$r->__GET('Sistema_id')."';
                      document.getElementById('sSiscodigo').value = '".$r->__GET('sSiscodigo')."';
                      document.getElementById('sSisNombre').value = '".$r->__GET('sSisNombre')."';
                    </script>";          
          endforeach;       
      }

}


?>