// contador global
//let contadorFilas = parseInt($('#tabla_atenciones_internas_agregadas').data('contador-inicial'));

function LimpiarFrmAtencion() {
	document.getElementById('OrdenTrabajo_Id').value = '0';
	document.getElementById('sOtNumOrden').value = '';
	$('#sOtCliente_Id').prop('selectedIndex',0);
	$('#sOtVehiculo_Id').prop('selectedIndex',0);
	document.getElementById('dOtFi').value = '';
	document.getElementById('dOtHi').value = '';
	document.getElementById('dOtFs').value = '';
	document.getElementById('dOtHs').value = '';
	$('#nOtTipoMant').prop('selectedIndex',0);
	document.getElementById('sOtMotMant').value = '';
	$('#nOtTipoAtencion').prop('selectedIndex',0);
}

function LimpiarFrmAtencionInterna() {
	document.getElementById('OrdenTrabajoInterno_Id').value = '0'
	document.getElementById('nOtiCantidad').value = ''
	document.getElementById('sOtiTiempo').value = ''
	$('#nOtiSistema_Id').prop('selectedIndex',0);
	$('#nOtiTarea_Id').prop('selectedIndex',0);
	$('#nOtiPersonal_Id').prop('selectedIndex',0);
	document.getElementById('sOtiDescripcion').value = ''
	// document.getElementById('sOtiFotografia').value = ''
}

function FrmGuardarAtencion() {
     $.post('?c=Atencion&a=FrmGuardarAtencion', {}, function (data) {
		$('.content-wrapper').html(data);
	});
}

function GuardarAtencionCabecera() {

	const es_promovido = document.getElementById('es_promovido').value;
	const id_inventario = document.getElementById('id_inventario').value;

	const OrdenTrabajo_Id = document.getElementById('OrdenTrabajo_Id').value;
	const sOtNumOrden = document.getElementById('sOtNumOrden').value;
	const sOtCliente_Id = document.getElementById('sOtCliente_Id').value;
	const sOtVehiculo_Id = document.getElementById('sOtVehiculo_Id').value;
	const dOtFi = document.getElementById('dOtFi').value;
	const dOtHi = document.getElementById('dOtHi').value;
	const dOtFs = document.getElementById('dOtFs').value;
	const dOtHs = document.getElementById('dOtHs').value;
	const nOtTipoMant = document.getElementById('nOtTipoMant').value;
	const sOtMotMant = document.getElementById('sOtMotMant').value;
	const nOtTipoAtencion = document.getElementById('nOtTipoAtencion').value;
	const nOtKilometraje = document.getElementById('nOtKilometraje').value;
	const nOtHorometro = document.getElementById('nOtHorometro').value;
	const sOtRecomendaciones = document.getElementById('sOtRecomendaciones').value;

	$.post('?c=Atencion&a=GuardarAtencion', {
		OrdenTrabajo_Id: OrdenTrabajo_Id,
		sOtNumOrden: sOtNumOrden,
		sOtCliente_Id: sOtCliente_Id,
		sOtVehiculo_Id: sOtVehiculo_Id,
		dOtFi: dOtFi,
		dOtHi: dOtHi,
		dOtFs: dOtFs,
		dOtHs: dOtHs,
		nOtTipoMant: nOtTipoMant,
		sOtMotMant: sOtMotMant,
		nOtTipoAtencion: nOtTipoAtencion,
		nOtKilometraje: nOtKilometraje,
		nOtHorometro: nOtHorometro,
		sOtRecomendaciones: sOtRecomendaciones,
		
		es_promovido: es_promovido,
		id_inventario: id_inventario

	}, function(response) {
		const data = JSON.parse(response)
		if (data.success) {
			//Ponemos el valor en la OrdenTrabajo_Id
			$('#OrdenTrabajo_Id').val(data.result)

			//Habilitar los botones de agregar
			$('#btnAgregar').css('pointer-events', 'auto').css('opacity', '1');
			$('#btnAddTrabajosExternos').css('pointer-events', 'auto').css('opacity', '1');
			$('#btnAgregarRepuestos').css('pointer-events', 'auto').css('opacity', '1');
			$('#btnAgregarCotizacion').css('pointer-events', 'auto').css('opacity', '1');
			$('#btnAgregarInventario').css('pointer-events', 'auto').css('opacity', '1');
			//document.getElementById('guardarBTN').disabled = true;

			// mensaje de éxito
			$('#resultado').html(data.html)

			if (es_promovido == '1') {
				ActualizarInventarios()
			}

		}
	})
}

function FrmEditarAtencion(OrdenTrabajo_Id) {
	$.post('?c=Atencion&a=FrmEditarAtencion',{   
		OrdenTrabajo_Id: OrdenTrabajo_Id
	},function(data){
	    $(".content-wrapper").html(data);        
	});
}

function MostrarAtencion(OrdenTrabajo_Id) {
	$('#atencion_id').val(OrdenTrabajo_Id)
	$.post('?c=Atencion&a=PrevisualizarAtencion',{   
		OrdenTrabajo_Id: OrdenTrabajo_Id
	},function(data){
	    $("#ver_datos").html(data);        
	});
}

function ActualizarCotizaciones() {
	const ordenTrabajoId = $('#OrdenTrabajo_Id').val(); // ID de la orden de trabajo actual
	$.ajax({
	    url: '?c=Atencion&a=ListarCotizaciones',
	    method: 'GET',
	    data: { ordenTrabajoId: ordenTrabajoId },
	    success: function(response) {
		   // Actualizamos el cuerpo de la tabla con el HTML recibido
		   $('#example4').html(response);
	    },
	    error: function(xhr, status, error) {
		   console.error('Error al actualizar la tabla:', error);
	    }
	});
}


function anularMovimientoCotizacion() {
	
	let estadoSunat = document.getElementById('estadoSunat1').value;
	let IdMovimiento = document.getElementById('IdMovimiento1').value;

	$('#preloader').fadeIn('slow');
	$.post('?c=Cotizacion&a=AnularMovimiento', { IdMovimiento, estadoSunat }, function (data) {
		$('#modal-eliminar1').modal('hide');
		$('#preloader').fadeOut('slow');
		$('#script_js').html(data);
		ActualizarCotizaciones();
	});
}

// FUNCIONES PARA AGREGAR LA ATENCION INTERNA (DATOS DE MANTENIMIENTO INTERNO)
function agregar_atencioninterna() {
	LimpiarFrmAtencionInterna()
	$('#AgregarMantenimiento').modal('show');
}

function ActualizarTablaAtencionesInternas() {
	const ordenTrabajoId = $('#OrdenTrabajo_Id').val(); // ID de la orden de trabajo actual
	$.ajax({
	    url: '?c=Atencion&a=ListarAtencionesInternasTabla',
	    method: 'GET',
	    data: { ordenTrabajoId: ordenTrabajoId },
	    success: function(response) {
		   // Actualizamos el cuerpo de la tabla con el HTML recibido
			const resp = JSON.parse(response)
		   	$('#example1').html(resp.tabla);
			$('#contador').html(resp.contador)
	    },
	    error: function(xhr, status, error) {
		   console.error('Error al actualizar la tabla:', error);
	    }
	});
}

function GuardarDetalleOrdenInterna() {
	const OrdenTrabajoInterno_Id = $('#OrdenTrabajoInterno_Id').val(); 
	const ordenTrabajoId = $('#OrdenTrabajo_Id').val(); // ID de la orden de trabajo
	const cantidad = $('#nOtiCantidad').val();
	const tiempo = $('#sOtiTiempo').val() || '0';
	const sistemaId = $('#nOtiSistema_Id').val();
	const tareaId = $('#nOtiTarea_Id').val();
	const tecnicoId = $('#nOtiPersonal_Id').val();
	const descripcion = $('#sOtiDescripcion').val();

    // Crear objeto para enviar al servidor
    const data = {
		OrdenTrabajoInterno_Id: OrdenTrabajoInterno_Id,
		ordenTrabajoId: ordenTrabajoId,
		cantidad: cantidad,
		tiempo: tiempo,
		sistemaId: sistemaId,
		tareaId: tareaId,
		tecnicoId: tecnicoId,
		descripcion: descripcion
	}

	// Enviar datos al servidor
	$.ajax({
		url: '?c=Atencion&a=GuardarDetalleAtencionInterna',
		method: 'POST',
		data: data,
		success: function(response) {
			const datos = JSON.parse(response)
			if (datos.success) {
				
				//Mostramos resultado de exito
				$('#resultado_atencioninterna').html(datos.html)
				
				//Limpiamos el modal
				LimpiarFrmAtencionInterna()

				//Actualizamos la tabla
				ActualizarTablaAtencionesInternas();
			}
		},
		error: function(xhr, status, error) {
		    console.error('Error:', error);
		}
	 })
}

function FrmEditarAtencionInterna(OrdenInterna_Id){
	$('#AgregarMantenimiento').modal("show");
	$.post('?c=Atencion&a=FrmEditarAtencionInterna',{
		OrdenInterna_Id: OrdenInterna_Id
	}, function(data){
	    $("#resultado").html(data);    
	    setTimeout(() => {
		   $("#FrmAgregarAtencionInterna").valid();            
	    }, 1000);    
	});
}

function AbrirModalEliminarOrdenInterna(idOrdenInterna) {
	$('#id_Atencioninterna').val(idOrdenInterna);
}

function FrmEliminarOrdenInterna(){
	const idOrdenInterna = $('#id_Atencioninterna').val();
	$.ajax({
		url: '?c=Atencion&a=EliminarAtencionInterna',
		method: 'POST',
		data: { ordenTrabajoId: idOrdenInterna },
		success: function(response) {
			//Actualizamos la tabla
			$('#modal_confirmareliminar_atencion').modal('hide')
			ActualizarTablaAtencionesInternas();


		},
		error: function(xhr, status, error) {
		    console.error('Error:', error);
		}
	 })
}

function ActualizarInventarios() {
	const ordenTrabajoId = $('#OrdenTrabajo_Id').val(); // ID de la orden de trabajo actual
	$.ajax({
	    url: '?c=Atencion&a=ListarInventariosTabla',
	    method: 'GET',
	    data: { ordenTrabajoId: ordenTrabajoId },
	    success: function(response) {
		   // Actualizamos el cuerpo de la tabla con el HTML recibido
		   //$('#example5').html(response);
			const resp = JSON.parse(response)
		   	$('#example5').html(resp.tabla);
			$('#contador_inventario').html(resp.contador)
	    },
	    error: function(xhr, status, error) {
		   console.error('Error al actualizar la tabla:', error);
	    }
	});
}

function EliminarInventario() {
	let id_Inventario = document.getElementById('id_Inventario').value;
	$('#preloader').fadeIn('slow');
	$.post('?c=Inventario&a=EliminarInventario', { id_Inventario }, function (data) {
		$('#EliminarInventario').modal('hide');
		$('#preloader').fadeOut('slow');
		$('#script_js').html(data);
		ActualizarInventarios();
	});
}

function NumeroDocumentoOrdenTrabajo() {
	$.post(
		'?c=Atencion&a=NumeroDocumentoOT',
		{
			Documento_Id: 24,
		},
		function (data) {
			document.getElementById('sOtNumOrden').value = parseInt(data);
		}
	);
}

function PromoverInventario(Inventario_Id) {
	$.post(
		'?c=Atencion&a=PromoverInventario',
		{
			Inventario_Id: Inventario_Id,
		},
		function (data) {
			$('.content-wrapper').html(data);
		}
	);
}

