<style>
    .bottonFiltro {
        background-color:rgb(12, 155, 238);
        border-radius: 0.5rem;
        border: none;
        width: 3.5rem;
        height: 3.5rem;
    }
    .botonNuevo {
        color: black;
        font-weight: 700;
        width: 15rem;
        background-color:rgb(255, 219, 17);
    }
</style>
<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        Cotización
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="wfamain.php"><i class="fa fa-dashboard"></i> Inicio</a></li>
        <li><a href="#">Cotizacion</a></li>
    </ol>
</section>
<!-- Main content -->
<section class="content">
    <div class="row">
        <div class="col-xs-12">
            <div class="box">
                <div class="box-header">
                    
                    <div class="row">
                        <div class="col-md-8" style="margin-top: 15px;">
                            <form action="?c=Cotizacion&a=Index" method="POST">
                                <div class="row">
                                    <div class="col-md-3">
                                        <strong>Fecha Inicio</strong>
                                        <input type="text" class="form-control col-md-4" name="fechaInicio" id="fechaInicio" value="<?php echo isset($_POST['fechaInicio']) ? $_POST['fechaInicio'] : date('d-m-Y', strtotime('-1 day', strtotime(date('d-m-Y')))) ?>">
                                    </div>
                                    <div class="col-md-3">
                                        <strong>Fecha Fin</strong> 
                                        <input type="text" class="form-control col-md-4" name="fechaFin" id="fechaFin" value="<?php echo isset($_POST['fechaFin']) ? $_POST['fechaFin'] : date('d-m-Y', strtotime(date('d-m-Y'))) ?>">
                                    </div>

                                    <div class="col-md-3"><br>
                                        <button type="submit" class="bottonFiltro"><i class="fa fa-filter" style="color: white;" aria-hidden="true"></i></button>
                                    </div>

                                </div>
                            </form>
                        </div>
                        <?php if ($this->seguridad->validRoleName(RolesType::contador) == false) { ?>
                            <div class="col-md-4 text-right" style="margin-top: 15px;"><br>
                                <a class="botonNuevo btn btn-ingresar" style="border-radius: 0.5rem;" onclick="FrmGuardarMovimiento();">Nueva cotización</a>
                            </div>
                        <?php } ?>
                    </div>
                </div><!-- /.box-header -->
                <div class="box-body">
                    <table id="example1" class="table table-bordered table-striped table-hover text-center">
                        <thead>
                            <tr>
                                <th>FECHA</th>
                                <th>DOCUMENTO</th>
                                <th>CLIENTE/PROVEEDOR</th>
                                <th>MONEDA</th>
                                <th>TOTAL</th>
                                <th>ESTADO</th>
                                <th>OPERACIONES</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                            foreach ($movimientos as $r) {
                            ?>
                                <tr>
                                    <td><?php echo $r->__GET('dMovFecha'); ?></td>
                                    <td><?php echo $r->__GET('Documento'); ?></td>
                                    <td><?php echo $r->__GET('sODNombreComercial'); ?></td>
                                    <td><?php echo $r->__GET('Moneda_Id') == 1 ? 'Soles' : 'Dolares'; ?></td>
                                    <td><?php echo $r->__GET('nMovTotal'); ?></td>
                                    <td>
                                        <?php
                                        if ($r->__GET('nMovEstado') == '0') {
                                            echo '<span class="text-danger" style="background-color: rgb(255, 218, 218); padding: 0.5rem; font-weight: 600">ANULADO</span>';
                                        } else if ($r->__GET('nMovEstado') == '1') {
                                            echo '<span class="text-warning" style="background-color: rgb(241, 222, 158); padding: 0.5rem; font-weight: 600">REGISTRADO</span>';
                                        } else if ($r->__GET('nMovEstado') == '2') {
                                            echo '<span class="text-success" style="background-color: rgb(218, 255, 218); padding: 0.5rem; font-weight: 600">PROCESADO</span>';
                                        }
                                        ?>
                                    </td>

                                    <td>
                                        <a href="#" class="btn btn-primary btn-flat btn-xs" data-toggle="modal" data-target="#modal-ver" style="border-radius: 0.5rem;" onclick="MostrarMovimiento('<?php echo $r->__GET('Movimiento_Id'); ?>');"><i class="glyphicon glyphicon-eye-open"></i></a>



                                        <a href="#" style="border-radius: 0.5rem;" class="btn btn-success btn-flat btn-xs" onclick="FrmEditarCotizacion('<?php echo $r->__GET('Movimiento_Id'); ?>');"><i class="fa fa-pencil"></i></a>

                                        <?php
                                        if ($r->__GET('nMovEstado') != '0') {
                                        ?>
                                            <a type="button" style="border-radius: 0.5rem;" class="btn btn-info btn-flat btn-xs" onclick="PromoverCotizacion('<?php echo $r->__GET('Movimiento_Id'); ?>')" title="Promover cotización">
                                                <i class="fa fa-credit-card" aria-hidden="true"></i>
                                            </a>
                                        <?php
                                        }
                                        ?>


                                        <?php if ($this->seguridad->validRoleName(RolesType::admin) or $this->seguridad->validRoleName(RolesType::admin2) or $this->seguridad->validRoleName(RolesType::admin_no_v_almacen)) { ?>

                                            <a href="#" style="border-radius: 0.5rem;" class="btn btn-danger btn-flat btn-xs <?php echo $r->__GET('nMovEstado') == '0' ? 'disabled' : ''; ?>" data-toggle="modal" data-target="#modal-eliminar" data-codigo="<?php echo $r->__GET('Movimiento_Id'); ?>">
                                                <i class="fa fa-times"></i>
                                            </a>

                                        <?php } ?>
                                        
                                        <?php if ($r->__GET('nMovEstado') != '0') { ?>

                                            <?php
                                            $tipoImpresion = $r->__GET('nDocTipoImprimir');

                                            $comprobante = '';
                                            switch ($tipoImpresion) {
                                                case 2:
                                                    $comprobante = 'comprobantePDF';
                                                    break;
                                                case 1:
                                                    $comprobante = 'comprobante';
                                                    break;
                                                case 4:
                                                    $comprobante = 'comprobantePDF2';
                                                    break;
                                                case 5:
                                                    $comprobante = 'comprobante2';
                                                    break;
                                            }

                                            if ($tipoImpresion != 0) {
                                            ?>
                                                <a style="border-radius: 0.5rem;" href="<?php echo '?c=Cotizacion&a=' . $comprobante . '&Movimiento_Id=' . $r->__GET('Movimiento_Id'); ?>" class="btn btn-warning btn-flat btn-xs" target="_blank"><i class="fa fa-print" aria-hidden="true"></i></a>
                                        <?php
                                            }
                                        } ?>
                                    </td>
                                </tr>
                            <?php

                            }
                            ?>
                        </tbody>
                        <tfoot>
                            <tr>
                                <th>FECHA</th>
                                <th>DOCUMENTO</th>
                                <th>CLIENTE/PROVEEDOR</th>
                                <th>MONEDA</th>
                                <th>TOTAL</th>
                                <th>ESTADO</th>
                                <th>OPERACIONES</th>
                            </tr>
                        </tfoot>
                    </table>

                    <!-- Modal modeal-ver -->
                    <div class="modal fade" id="modal-ver" tabindex="-1" role="dialog" aria-labelledby="modal-ver-label" aria-hidden="true">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <form action="?c=Movimiento&a=PDFMovimiento" method="POST">
                                    <!--  <form method="POST"> -->

                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                                        <h4 class="modal-title" id="modal-ver-label">Registro de Cotización</h4>
                                    </div>
                                    <div class="modal-body">
                                        <input type="hidden" name="PDFMmovimiento_Id1" id="PDFMmovimiento_Id1" value="">
                                        <table class="table table-striped" id="ver_datos1">

                                        </table>
                                    </div>
                                    <div class="modal-footer">
                                        <!-- <button type="submit" class="btn btn-danger" formtarget="_blak"><i class="fa fa-print"></i>&nbsp;Imprimir</button> -->
                                        <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                                        <button type="button" onclick="Actualizar_obs_docref()" class="btn btn-success"><i class="fa fa-edit"></i>&nbsp;Actualizar</button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                    <!-- /Modal modal-ver -->

                    <!-- Modal modal-eliminar -->
                    <div class="modal fade" id="modal-eliminar" tabindex="-1" role="dialog" aria-labelledby="modal-eliminar-label" aria-hidden="true">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <form action="?c=Cotizacion&a=AnularMovimiento" method="POST">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                                        <h4 class="modal-title" id="modal-eliminar-label">Anular cotización</h4>
                                    </div>
                                    <div class="modal-body">
                                        <input type="hidden" name="IdMovimiento" id="IdMovimiento" value="">
                                        <input type="hidden" name="estadoSunat" id="estadoSunat" value="">
                                        ¿Estás seguro que desea anular la cotización?
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-default btn-flat" data-dismiss="modal">No, cancelar</button>
                                        <button type="submit" class="btn btn-danger btn-flat">Si, eliminar</button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                    <!-- /Modal modal-eliminar -->

                </div><!-- /.box-body -->
            </div><!-- /.box -->
        </div><!-- /.col -->
    </div><!-- /.row -->
</section><!-- /.content -->
<script type="text/javascript" src="view/librerias/dist/js/funcionesCotizacion.js"></script>
<script type="text/javascript">
    $('#fechaInicio').datetimepicker({
        viewMode: 'days',
        format: 'DD-MM-YYYY'
    });

    $('#fechaFin').datetimepicker({
        viewMode: 'days',
        format: 'DD-MM-YYYY'
    });
    $(function() {
        jQuery.fn.dataTableExt.oSort['fecha-asc'] = function(a, b) {
            var ukDatea = a.split('-');
            var ukDateb = b.split('-');

            var x = (ukDatea[2] + ukDatea[1] + ukDatea[0]) * 1;
            var y = (ukDateb[2] + ukDateb[1] + ukDateb[0]) * 1;

            return ((x < y) ? -1 : ((x > y) ? 1 : 0));
        };

        jQuery.fn.dataTableExt.oSort['fecha-desc'] = function(a, b) {
            var ukDatea = a.split('-');
            var ukDateb = b.split('-');

            var x = (ukDatea[2] + ukDatea[1] + ukDatea[0]) * 1;
            var y = (ukDateb[2] + ukDateb[1] + ukDateb[0]) * 1;

            return ((x < y) ? 1 : ((x > y) ? -1 : 0));
        };
        $("#example1").dataTable({
            "scrollX": true,
            "ordering": false,
            "bSort": true,
            "language": {
                "search": "",
                "lengthMenu": "Filas por página _MENU_",
                "zeroRecords": "No hay información para mostrar",
                "info": "Pagina _PAGE_ de _PAGES_ de _MAX_ ",
                "infoEmpty": "Pagina _PAGE_ - _PAGES_ de _MAX_ registros",
                "infoFiltered": "(filtered from _MAX_ total records)",
                "paginate": {
                    "previous": "Anterior",
                    "next": "Siguiente"
                }
            },
            "initComplete": function () {
                // Modificar el placeholder del input de búsqueda
                $('div.dataTables_filter input').attr('placeholder', 'Buscar');
            }
        });
    });

    $('#modal-eliminar').on('show.bs.modal', function(event) {
        var button = $(event.relatedTarget); // Button that triggered the modal
        var recipient = button.data('codigo'); // Extract info from data-* attributes

        // If necessary, you could initiate an AJAX request here (and then do the updating in a callback).
        // Update the modal's content. We'll use jQuery here, but you could use a data binding library or other methods instead.
        $("#IdMovimiento").val(recipient);

    });
</script>