<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        Guia de remisión
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="wfamain.php"><i class="fa fa-dashboard"></i> Inicio</a></li>
        <li><a href="#">Guia de remisión</a></li>
    </ol>
</section>
<!-- Main content -->
<section class="content">
    <div class="row">
        <div class="col-xs-12">
            <form id="frmregistrarguia" method="POST" action="#">
                <input type="hidden" id="Guiaremision_Id" name="Guiaremision_Id" value="0">
                <input type="hidden" id="nTipoDocRelacionado" name="nTipoDocRelacionado" value="0">
                <div class="box">
                    <div class="box-body">
                        <div class="row" style="padding-left: 15px; padding-right: 15px;">
                            <div class="col-md-12" >
                                <h5 class="sub-tittle-header" style="background-color:rgb(224, 218, 218); padding-top: 10px; padding-left: 10px; border-top: 0.5rem;">Buscar comprobante (opcional).</h5>
                                <div role="separator" class="divider"></div>
                            </div>
                            <div class="col-md-12">
                                <strong>Codigo comprobante</strong>
                                <div class="form-inline" style="padding-top: 8px;">
                                    <div class="form-group">
                                        <input type="text" class="form-control input-custom w-100" id="codigocomprobante" placeholder="PRUEBA-1000">
                                    </div>
                                    <a href="#" class="btn btn-default" id="buscar-comprobante">Buscar</a>
                                </div>
                            </div>
                            <div class="col-md-12" style="padding-top: 15px;">
                                <h5 class="sub-tittle-header" style="background-color:rgb(224, 218, 218); padding-top: 10px; padding-left: 10px; border-top: 0.5rem;">Informacion de guia de remisión</h5>
                                <div role="separator" class="divider"></div>
                            </div>
                            <div class="col-md-12">
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="row">
                                            <div class="col-md-3 form-group">
                                                <strong>N° guia</strong>
                                                <input type="text" class="form-control input-custom" name="sNumeroGenerado" id="sNumeroGenerado" placeholder="Nro. Guia" value="" disabled>
                                            </div>
                                            <div class="col-md-3 form-group">
                                                <strong>Fecha y Hora de Emision</strong>
                                                <input type="text" class="form-control input-custom datepicker" name="dTraFecha" id="dTraFecha" placeholder="dd/mm/yyyy" value="<?= isset($r) ? $r->dTraFecha : date('d-m-Y H:i:s') ?>">
                                            </div>
                                            <div class="col-md-3 form-group">
                                                <strong>Fecha Inicio de traslado</strong>
                                                <input type="text" class="form-control input-custom datepicker" name="dTraFechaTraslado" id="dTraFechaTraslado" placeholder="dd/mm/yyyy" value="<?= isset($r) ? $r->dTraFecha : date('d-m-Y') ?>">
                                            </div>
                                            <div class="col-md-3 form-group">
                                                <strong>Almacen</strong>
                                                <select class="form-control input-custom" id="Almacen_Id" name="Almacen_Id">
                                                    <option value="">- seleccionar -</option>
                                                    <?php foreach ($almacen as $item) : ?>
                                                        <option value="<?php echo $item->__GET('Almacen_Id'); ?>"><?php echo $item->__GET('sAlmNombre'); ?></option>
                                                    <?php endforeach; ?>
                                                </select>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-12">
                                        <div class="row">
                                            <div class="col-md-3 form-group">
                                                <strong>Moneda</strong>
                                                <select class="form-control input-custom" id="Moneda_Id" name="Moneda_Id">
                                                    <option value="1" selected>Soles</option>
                                                    <option value="2">Dolares</option>
                                                </select>
                                            </div>
                                            <div class="col-md-3 form-group">
                                                <strong>Doc. referencia (opcional).</strong>
                                                <input type="text" class="form-control input-custom" name="sSerieNumeroRelacionado" id="sSerieNumeroRelacionado" placeholder="Doc. referencia (opcional)." disabled>
                                            </div>
                                            <div class="col-md-3 form-group">
                                                <strong>Motivo de traslado</strong>
                                                <select class="form-control input-custom" id="sTraCodigoMotivoTraslado" name="sTraCodigoMotivoTraslado">
                                                    <option value="">- seleccionar -</option>
                                                    <?php foreach ($motivotraslado as $item) : ?>
                                                        <option value="<?php echo $item['sMotTraCodigoSunat'] . '|' . $item['sMotTraDescripcion']; ?>"><?php echo $item['sMotTraDescripcion']; ?></option>
                                                    <?php endforeach; ?>
                                                </select>
                                            </div>
                                            <div class="col-md-3 form-group">
                                                <strong>Medio de traslado</strong>
                                                <select class="form-control input-custom" id="sTraCodigoModalidadTraslado" name="sTraCodigoModalidadTraslado">
                                                    <option value="">- seleccionar -</option>
                                                    <?php foreach ($tipotransporte as $item) : ?>
                                                        <option value="<?php echo $item['sTipTraCodigoSunat'] . '|' . $item['sTipTraDescripcion']; ?>">
                                                            <?php echo $item['sTipTraDescripcion']; ?>
                                                        </option>
                                                    <?php endforeach; ?>
                                                </select>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-2 form-group">
                                        <strong>Tipo</strong>
                                        <select class="form-control input-custom" name="nMovTipoOrigenDestino" id="nMovTipoOrigenDestino" onchange="TipoPrvClien()">
                                            <option value="1" selected>Proveedor</option>
                                            <option value="2">Cliente</option>
                                        </select>
                                    </div>
                                    <div class="col-md-4 form-group">
                                        <strong>Cliente/Proveedor</strong>
                                        <select class="form-control input-custom selectpicker" name="nMovOrigenDestino_Id" id="nMovOrigenDestino_Id" data-live-search="true" onchange="obtener_direccion_cliente(this);">
                                            <option value="">Seleccione cliente/proveedor</option>
                                        </select>
                                    </div>
                                    <div class="col-md-6 form-group">
                                        <strong>Otro Motivo de Traslado</strong>
                                        <input type="text" class="form-control input-custom" id="sGuiOtroMotivo" name="sGuiOtroMotivo" placeholder="Otro Motivo de Traslado">
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <h5 class="sub-tittle-header" style="background-color:rgb(224, 218, 218); padding-top: 15px; padding-left: 10px; border-top: 0.5rem;">Punto de partida</h5>
                                <div role="separator" class="divider"></div>
                                <div class="row">
                                    <div class="col-md-12 form-group">
                                        <strong>Dirección</strong>
                                        <input type="text" class="form-control input-custom" name="sTraDireccionPuntoPartidaTraslado" id="sTraDireccionPuntoPartidaTraslado" placeholder="Dirección" value="<?php echo $_SESSION['usu_enterpriseAddress']; ?>">
                                    </div>
                                    <div class="col-md-4 form-group">
                                        <strong>Departamento</strong>
                                        <select class="form-control input-custom" name="dTraParDepartamento" id="dTraParDepartamento" onchange="provincias('sTraParProvincia', 'sTraParDistrito', this.value)">
                                            <option value="">- seleccionar -</option>
                                        </select>
                                    </div>
                                    <div class="col-md-4 form-group">
                                        <strong>Provincia</strong>
                                        <select class="form-control input-custom" name="sTraParProvincia" id="sTraParProvincia" onchange="distritos('sTraParDistrito', 'sTraParProvincia', 'dTraParDepartamento', this.value)" disabled>
                                            <option value="">- seleccionar -</option>
                                        </select>
                                    </div>
                                    <div class="col-md-4 form-group">
                                        <strong>Distrito</strong>
                                        <select class="form-control input-custom" name="sTraParDistrito" id="sTraParDistrito" disabled>
                                            <option value="">- seleccionar -</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <h5 class="sub-tittle-header" style="background-color:rgb(224, 218, 218); padding-top: 15px; padding-left: 10px; border-top: 0.5rem;">Punto de Llegada</h5>
                                <div role="separator" class="divider"></div>
                                <div class="row">
                                    <div class="col-md-12 form-group">
                                        <strong>Dirección</strong>
                                        <input type="hidden" value="<?php echo $_SESSION['usu_enterpriseRuc'] ?>" id="session_enterprise">
                                        <?php if ($_SESSION['usu_enterpriseRuc'] == '20603911998' or $_SESSION['usu_enterpriseRuc'] == '20553754454' ) { ?>
                                            <input type="text" class="form-control input-custom" name="sTraDireccionPuntoLlegadaTraslado" id="sTraDireccionPuntoLlegadaTraslado" placeholder="Dirección">
                                        <?php } else { ?>
                                            <select class="form-control input-custom" name="sTraDireccionPuntoLlegadaTraslado" id="sTraDireccionPuntoLlegadaTraslado">
                                            </select>
                                        <?php } ?>
                                    </div>
                                    <div class="col-md-4 form-group">
                                        <strong>Departamento</strong>
                                        <select class="form-control input-custom" name="dTraLleDepartamento" id="dTraLleDepartamento" onchange="provincias('sTraLleProvincia', 'sTraLleProvincia', this.value)">
                                            <option value="">- seleccionar -</option>
                                        </select>
                                    </div>
                                    <div class="col-md-4 form-group">
                                        <strong>Provincia</strong>
                                        <select class="form-control input-custom" name="sTraLleProvincia" id="sTraLleProvincia" onchange="distritos('sTraLleDistrito', 'sTraLleProvincia', 'dTraLleDepartamento', this.value)" disabled>
                                            <option value="">- seleccionar -</option>
                                        </select>
                                    </div>
                                    <div class="col-md-4 form-group">
                                        <strong>Distrito</strong>
                                        <select class="form-control input-custom" name="sTraLleDistrito" id="sTraLleDistrito" disabled>
                                            <option value="">- seleccionar -</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-12" style="margin-top: 20px;">
                                    <div class="box-header col-md-12" style="background-color:rgb(224, 218, 218); margin-bottom: 20px; margin-right: 3rem; padding-top: 1rem; padding-bottom: 1rem; border-radius: 0-5rem;">
                                        <h3 class="box-title" style="color: black; font-weight: 500;">Lista de productos</h3>
                                    </div>  

                                    <div class="row" style="margin-bottom: 10px;">
                                        <div class="col-md-12 text-right">
                                            <a href="#" class="btn btn-success btn-custom" style="background-color:rgb(255, 219, 17); border: none; color: black; cursor: pointer; padding: 0.8rem; border-radius: 0.5rem; margin: 0 0 !important; width: 10rem;" onclick="ValidarTipomovimiento(); return false;">Agregar</a>
                                        </div>
                                    </div>
                                
                                <div role="separator" class="divider"></div>
                                <table class="table table-bordered table-striped text-center">
                                    <thead>
                                        <tr>
                                            <th>PRODUCTO</th>
                                            <th>CANTIDAD</th>
                                            <th>UNIDAD</th>
                                            <th>PRECIO</th>
                                            <th>SUB TOTAL</th>
                                            <th>OPERACIONES</th>
                                        </tr>
                                    </thead>
                                    <tbody id="productos_servicios">
                                        <tr>
                                            <td colspan="7">No hay datos</td>
                                        </tr>
                                    </tbody>
                                </table>
                                <div class="form-group">
                                    <strong>Observacion</strong>
                                    <textarea class="form-control input-custom" id="sGuiObservacion" name="sGuiObservacion" rows="3" style="resize: none;"></textarea>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <h5 class="sub-tittle-header" style="background-color:rgb(224, 218, 218); padding-top: 15px; padding-left: 10px; border-top: 0.5rem;">
                                    Datos de transporte
                                </h5>
                                <div role="separator" class="divider"></div>
                                <div class="row">
                                    <div class="col-md-12 form-group">
                                        <div class="row">
                                            <div class="col-md-4">
                                                <strong>RUC Transportista</strong>
                                                <input type="text" class="form-control input-custom" id="sTraRUCTransportistaTraslado" name="sTraRUCTransportistaTraslado" placeholder="RUC Transportista">
                                            </div>
                                            <div class="col-md-4">
                                                <strong>Nombre Transportista</strong>
                                                <input type="text" class="form-control input-custom" id="sTraNombreTransportistaTraslado" name="sTraNombreTransportistaTraslado" placeholder="Nombre Transportista">
                                            </div>
                                            <div class="col-md-4">
                                                <strong>Placa de Vehiculo</strong>
                                                <input type="text" class="form-control input-custom" id="sTraPlacaVehiculoTraslado" name="sTraPlacaVehiculoTraslado" placeholder="Placa de Vehiculo">
                                            </div>

                                        </div>
                                    </div>
                                    <div class="col-md-12 form-group">
                                        <div class="row">
                                            <div class="col-md-4">
                                                <strong>DNI Conductor</strong>
                                                <input type="text" class="form-control input-custom" id="sTraDNIConductorTraslado" name="sTraDNIConductorTraslado" placeholder="DNI Conductor">
                                            </div>
                                            <div class="col-md-4">
                                                <strong>Apellidos Conductor</strong>
                                                <input type="text" class="form-control input-custom" id="sTraApellidosConductorTraslado" name="sTraApellidosConductorTraslado" placeholder="Apellidos">
                                            </div>
                                            <div class="col-md-4">
                                                <strong>Nombres Conductor</strong>
                                                <input type="text" class="form-control input-custom" id="sTraNombresConductorTraslado" name="sTraNombresConductorTraslado" placeholder="Nombres">
                                            </div>
                                            
                                        </div>
                                    </div>
                                    <div class="col-md-12 form-group">
                                        <div class="row">
                                            <div class="col-md-4">
                                                <strong>Licencia conductor</strong>
                                                <input type="text" class="form-control input-custom" id="sTraLicenciaConductorTraslado" name="sTraLicenciaConductorTraslado" placeholder="Licencia">
                                            </div>
                                            <div class="col-md-4">
                                                <strong>Unidad de medida</strong>
                                                <select class="form-control input-custom" id="sTraCodigoUnidadMedidaTraslado" name="sTraCodigoUnidadMedidaTraslado">
                                                    <?php foreach ($unidadmedida as $uni) { ?>
                                                        <option value="<?php echo $uni->__GET('sUndCodeSunat') . '|' . $uni->__GET('sUndAlias') . '|' . $uni->__GET('sUndDescripcion'); ?>" <?php echo $uni->__GET('sUndAlias') === 'KGM' ? 'selected' : ''; ?>><?php echo $uni->__GET('sUndDescripcion') . ' (' . $uni->__GET('sUndAlias') . ')'; ?></option>
                                                    <?php
                                                    } ?>
                                                </select>
                                            </div>
                                            <div class="col-md-4">
                                                <strong>Peso bruto</strong>
                                                <input type="text" class="form-control input-custom" id="nTraPesoBrutoGuiaTraslado" name="nTraPesoBrutoGuiaTraslado" placeholder="Peso bruto">
                                            </div>

                                        </div>
                                    </div>

                                </div>
                            </div>
                        </div>
                    </div><!-- /.box-body -->
                    <div class="box-footer" style="text-align: center;">
                        <button type="submit" class="btn btn-primary btn-flat btn-custom" style="background-color: blue;">Guardar</button>
                        <a href="?c=Guiaremision&a=Index" class="btn btn-danger btn-flat btn-custom" style="background-color: red;">Cancelar</a>
                    </div>
                </div><!-- /.box -->
            </form>
        </div><!-- /.col -->
    </div><!-- /.row -->
</section><!-- /.content -->
<div class="modal fade" id="agregar_producto" tabindex="-1" role="dialog" aria-labelledby="modal-eliminar-label" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content" id="FrmTipomovimiento">

        </div>
    </div>
</div>
<script type="text/javascript" src="view/librerias/dist/js/funcionesGuiaremision.js"></script>
<script type="text/javascript">
    $('#dTraFecha').datetimepicker({
        viewMode: 'days',
        format: 'DD-MM-YYYY HH:mm',
    });
    var ubigeo = "<?= $_SESSION['usu_enterpriseUbigeoName'] ?>";
    var ubigeo_dept = ubigeo.split(' - ')[0];
    var ubigeo_prov = ubigeo.split(' - ')[1];
    var ubigeo_dist = ubigeo.split(' - ')[2];
</script>
<?php if (isset($_REQUEST['code'])) { ?>
    <script type="text/javascript">
        function loaddata(Guiaremision_Id) {
            $.post('?c=Guiaremision&a=Buscar', {
                Guiaremision_Id: Guiaremision_Id
            }, (data) => {
                if (data) {
                    var data = JSON.parse(data);
                    for (let item in data) {
                        var doc = document.getElementById(item);
                        if (doc) {
                            doc.value = data[item];
                        }
                    }
                    $("#sTraCodigoMotivoTraslado").val(data.sTraCodigoMotivoTraslado + '|' + data.sTraMotivoTraslado)
                    $("#sTraCodigoModalidadTraslado").val(data.sTraCodigoModalidadTraslado + '|' + data.sTraDescripcionModalidadTraslado)
                    $("#sTraCodigoUnidadMedidaTraslado").val(data.sTraCodigoUnidadMedidaTraslado + '|' + data.sTraAliasUnidadMedidaTraslado + '|' + data.sTraDescripcionUnidadMedidaTraslado);
                    setTimeout(() => {
                        $("#nMovOrigenDestino_Id").val(data.nMovOrigenDestino_Id);
                        $("#nMovOrigenDestino_Id").selectpicker('refresh');
                        var ubigeoLlegada = (data.sTraCodigoUbigeoPuntoLlegadaTraslado).match(/.{1,2}/g);
                        $("#dTraLleDepartamento").val(ubigeoLlegada[0]).change();
                        setTimeout(() => {
                            $("#sTraLleProvincia").val(ubigeoLlegada[1]).change();
                            setTimeout(() => {
                                $("#sTraLleDistrito").val(ubigeoLlegada[2]).change();
                            }, 400);
                        }, 400);

                        var ubigeoPartida = (data.sTraCodigoUbigeoPuntoPartidaTraslado).match(/.{1,2}/g);
                        $("#dTraParDepartamento").val(ubigeoPartida[0]).change();
                        setTimeout(() => {
                            $("#sTraParProvincia").val(ubigeoPartida[1]).change();
                            setTimeout(() => {
                                $("#sTraParDistrito").val(ubigeoPartida[2]).change();
                            }, 400);
                        }, 400);
                    }, 900);
                    products_detail = data.detalle;
                    create_table();
                }
            });
        }
        loaddata(<?php echo $_REQUEST['code']; ?>)
    </script>
<?php
} ?>