<style>
    .bottonFiltro {
        background-color:rgb(12, 155, 238);
        border-radius: 0.5rem;
        border: none;
        width: 3.5rem;
        height: 3.5rem;
    }
    .botonNuevo {
        color: black;
        font-weight: 700;
        width: 15rem;
        background-color:rgb(255, 219, 17);
    }
</style>
<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        
        <?= isset($TipoMovimiento_Id) ? $TipoMovimiento_Id == 2 ? 'Facturación' : 'Movimiento' : ''; ?>
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="wfamain.php"><i class="fa fa-dashboard"></i> Inicio</a></li>
        <li><a href="#"> <?= isset($TipoMovimiento_Id) ? $TipoMovimiento_Id == 2 ? 'Facturación' : 'Movimiento' : ''; ?> </a></li>
    </ol>
</section>
<!-- Main content -->
<section class="content">
    <div class="row">
        <div class="col-xs-12">
            <div class="box">
                <div class="box-header">
                    
                    <div class="row">
                        <div class="col-md-8" style="margin-top: 15px;">
                            <form action="?c=Movimiento&a=Index" method="POST" id="movimientoForm">
                                <div class="row">
                                    <input type="hidden" id="id_empresa" value="<?php echo $_SESSION['usu_enterpriseRuc']; ?>">
                                    <div class="col-md-3">
                                        <strong>Tipo movimiento</strong>
                                        <select class="form-control" id="TipoMovimiento_Id" name="TipoMovimiento_Id">
                                            <?php foreach ($tipomovimientos as $item) : ?>
                                                <option value="<?php echo $item->TipoMovimiento_Id; ?>" <?php echo $item->TipoMovimiento_Id == $TipoMovimiento_Id ? 'selected' : ''; ?>><?php echo $item->__GET('sTMovNombre'); ?></option>
                                            <?php endforeach; ?>
                                        </select>
                                    </div>
                                    <div class="col-md-3">
                                        <strong>Fecha Inicio</strong>
                                        <input type="text" class="form-control col-md-4" name="fechaInicio" id="fechaInicio" value="<?php echo isset($_POST['fechaInicio']) ? $_POST['fechaInicio'] : date('d-m-Y', strtotime('-1 day', strtotime(date('d-m-Y')))) ?>">
                                    </div>
                                    <div class="col-md-3">
                                        <strong>Fecha Fin</strong>
                                        <input type="text" class="form-control col-md-4" name="fechaFin" id="fechaFin" value="<?php echo isset($_POST['fechaFin']) ? $_POST['fechaFin'] : date('d-m-Y', strtotime(date('d-m-Y'))) ?>">
                                    </div>
                                    
                                    <div class="col-md-3"><br>
                                        <button type="submit" class="bottonFiltro"><i class="fa fa-filter" style="color: white;" aria-hidden="true"></i></button>
                                    </div>

                                </div>
                            </form>
                        </div>
                        
                        <div class="col-md-4 text-right" style="margin-top: 15px;"><br>
                            <a class="btn btn-success btn-flat btn-custom" style="border-radius: 0.5rem; width: 15rem;" onclick="ActualizarEstadoMovimientos()">Actualizar Estados</a>
                            <a class="botonNuevo btn btn-ingresar" style="border-radius: 0.5rem;"  onclick="FrmGuardarMovimiento();">Nuevo Movimiento</a>
                        </div>

                    </div>
                </div><!-- /.box-header -->
                <div class="box-body">
                    <table id="example1" class="table table-bordered table-striped table-hover text-center">
                        <thead>
                            <tr>
                                <th>TIPO MOVIMIENTO</th>
                                <th>FECHA</th>
                                <th>DOCUMENTO</th>
                                <th>CLIENTE/PROVEEDOR</th>
                                <th>MONEDA</th>
                                <th>TOTAL</th>
                                <th>ESTADO</th>
                                <th>ESTADO SUNAT</th>
                                <th>OPERACIONES</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                            foreach ($movimientos as $r) {
                            ?>
                                <tr>
                                    <td><?php echo $r->__GET('sTMovNombre'); ?></td>
                                    <td><?php echo $r->__GET('dMovFecha'); ?></td>
                                    <td><?php echo $r->__GET('Documento'); ?></td>
                                    <td><?php echo $r->__GET('sODNombreComercial'); ?></td>
                                    <td><?php echo $r->__GET('Moneda_Id') == 1 ? 'Soles' : 'Dolares'; ?></td>
                                    <td><?php echo $r->__GET('nMovTotal'); ?></td>
                                    <td>
                                        <?php
                                        if ($r->__GET('nMovEstado') == '0') {
                                            echo '<span class="text-danger" style="background-color: rgb(255, 218, 218); padding: 0.5rem; font-weight: 600">ANULADO</span>';
                                        } else if ($r->__GET('nMovEstado') == '1') {
                                            echo '<span class="text-warning" style="background-color: rgb(241, 222, 158); padding: 0.5rem; font-weight: 600">REGISTRADO</span>';
                                        } else if ($r->__GET('nMovEstado') == '2') {
                                            echo '<span class="text-success" style="background-color: rgb(218, 255, 218); padding: 0.5rem; font-weight: 600">PAGADO</span>';
                                        }
                                        ?>
                                    </td>
                                    <td>
                                        <?php
                                        if ($r->__GET('nMovEstadoSunat') == '-1') {
                                            echo '<span class="text-secondary" style="background-color: rgba(44, 43, 41, 0.15); padding: 0.5rem; font-weight: 600">NO ENVIADO</span>';
                                        } else if ($r->__GET('nMovEstadoSunat') == '0' || $r->__GET('nMovEstadoSunat') == '500') {
                                            echo '<span class="text-warning" style="background-color: rgb(241, 222, 158); padding: 0.5rem; font-weight: 600">PENDIENTE</span>';
                                        } else if ($r->__GET('nMovEstadoSunat') == '1') {
                                            echo '<span class="text-info" style="background-color: rgb(139, 247, 214); padding: 0.5rem; font-weight: 600">VALIDADO</span>';
                                        } else if ($r->__GET('nMovEstadoSunat') == '2') {
                                            echo '<span class="text-info" style="background-color: rgb(139, 247, 214); padding: 0.5rem; font-weight: 600">VALIDADO</span>';
                                        } else if ($r->__GET('nMovEstadoSunat') == '3') {
                                            echo '<span class="text-info" style="background-color: rgb(139, 247, 214); padding: 0.5rem; font-weight: 600">VALIDADO</span>';
                                        } else if ($r->__GET('nMovEstadoSunat') == '4') {
                                            echo '<span class="text-danger" style="background-color: rgb(255, 218, 218); padding: 0.5rem; font-weight: 600">RECHAZADO</span>';
                                        } else if ($r->__GET('nMovEstadoSunat') == '5') {
                                            echo '<span class="text-danger" style="background-color: rgb(255, 218, 218); padding: 0.5rem; font-weight: 600">BAJA</span>';
                                        } else if ($r->__GET('nMovEstadoSunat') == '6') {
                                            echo '<span class="text-danger" style="background-color: rgb(255, 218, 218); padding: 0.5rem; font-weight: 600">PENDIENTE DE BAJA</span>';
                                        }
                                        ?>
                                    </td>
                                    <td>
                                        <a href="#" style="border-radius: 0.5rem;" class="btn btn-primary btn-flat btn-xs" data-toggle="modal" data-target="#modal-ver" onclick="MostrarMovimiento('<?php echo $r->__GET('Movimiento_Id'); ?>');"><i class="glyphicon glyphicon-eye-open"></i></a>
                                                
                                        <?php if ($this->seguridad->validRoleName(RolesType::admin) or $this->seguridad->validRoleName(RolesType::admin2) or $this->seguridad->validRoleName(RolesType::admi_mv)) { ?>
                                            <?php if ($r->__GET('isFE') == 1) { ?>
                                                <?php if ($r->__GET('cantidaddias') <= 5) { ?>
                                                    <a href="#" style="border-radius: 0.5rem;" class="btn btn-danger btn-flat btn-xs <?php echo $r->__GET('nMovEstado') == '0' ? 'disabled' : ''; ?>" data-toggle="modal" data-target="#modal-eliminar" data-codigo="<?php echo $r->__GET('Movimiento_Id'); ?>" data-dias="<?php echo $r->__GET('cantidaddias'); ?>" data-sunat="<?php echo $r->__GET('nMovEstadoSunat'); ?>" data-tipomovimiento="<?php echo $TipoMovimiento_Id; ?>">
                                                        <i class="fa fa-times"></i>
                                                    </a>
                                                <?php } ?>
                                            <?php } else { ?>
                                                <a href="#" style="border-radius: 0.5rem;" class="btn btn-danger btn-flat btn-xs <?php echo $r->__GET('nMovEstado') == '0' ? 'disabled' : ''; ?>" data-toggle="modal" data-target="#modal-eliminar" data-codigo="<?php echo $r->__GET('Movimiento_Id'); ?>" data-dias="<?php echo $r->__GET('cantidaddias'); ?>" data-sunat="<?php echo $r->__GET('nMovEstadoSunat'); ?>" data-tipomovimiento="<?php echo $TipoMovimiento_Id; ?>">
                                                    <i class="fa fa-times"></i>
                                                </a>
                                            <?php } ?>
                                        <?php } ?>
                                        <?php if ($r->__GET('nMovEstado') != '0' && $_SESSION['usu_enterpriseIsFE']) { ?>


                                            <?php
                                            //$tipoImpresion = !empty($r->__GET('nDocTipoImprimir'))?$r->__GET('nDocTipoImprimir'):1;
                                            $tipoImpresion = $r->__GET('nDocTipoImprimir');

                                            $comprobante = '';
                                            switch ($tipoImpresion) {
                                                case 2:
                                                    $comprobante = 'comprobantePDF';
                                                    break;
                                                case 1:
                                                    $comprobante = 'comprobante';
                                                    break;
                                                case 3:
                                                    $comprobante = 'comprobante2';
                                                    break;
                                                case 4:
                                                    $comprobante = 'comprobantePDF2'; 
                                                    break; 
                                                case 5:
                                                    $comprobante = 'comprobante3';
                                                    break;
                                                default:
                                                    $comprobante = '';
                                                    break;
                                            }

                                            if ($tipoImpresion != 0) {
                                            ?>
                                                <a style="border-radius: 0.5rem;" href="<?php echo '?c=Movimiento&a=' . $comprobante . '&Movimiento_Id=' . $r->__GET('Movimiento_Id'); ?>" class="btn btn-warning btn-flat btn-xs" target="_blank"><i class="fa fa-print" aria-hidden="true"></i></a>
                                        <?php
                                            }
                                        } ?>

                                        <!-- si es un ticket, se muestra opción para imprimir en pdf -->
                                        <?php if ($r->__GET('nDocTipoImprimir') == 1) { ?>
                                            <!-- <a href="<?php echo '?c=Movimiento&a=comprobantePDF&Movimiento_Id=' . $r->__GET('Movimiento_Id'); ?>" class="btn btn-success btn-flat btn-xs" target="_blank" title="PDF"><i class="glyphicon glyphicon-file"></i></a> -->
                                        <?php } ?>

                                        <?php if ($r->__GET('Documento_Id') != '7') { ?>
                                            <!-- 5 para boleta , 3 para factura -->
                                            <?php if ($r->__GET('Documento_Id') == '2' && $r->__GET('cantidaddias') <= 5) { 
                                                    if ($r->__GET('nMovEstadoSunat') == "-1" || $r->__GET('nMovEstadoSunat') == "0" || $r->__GET('nMovEstadoSunat') == "500") {
                                            ?>
                                                        <a style="border-radius: 0.5rem;" onclick="previsualizacion('<?php echo $r->Movimiento_Id ?>')" class="btn btn-info btn-flat btn-xs" title="Enviar comprobante"><i class="glyphicon glyphicon-send"></i></a>
                                            <?php   } ?>
                                            <?php } else if ($r->__GET('Documento_Id') == '1' && $r->__GET('cantidaddias') <= 3) {
                                                        if ($r->__GET('nMovEstadoSunat') == "-1" || $r->__GET('nMovEstadoSunat') == "0" || $r->__GET('nMovEstadoSunat') == "500") {
                                            ?>
                                                            <a style="border-radius: 0.5rem;" onclick="previsualizacion('<?php echo $r->Movimiento_Id ?>')" class="btn btn-info btn-flat btn-xs" title="Enviar comprobante"><i class="glyphicon glyphicon-send"></i></a>
                                            <?php       } ?>
                                            <?php } ?>

                                            <!-- <?php if ($r->__GET('cantidaddias') <= 5 && $r->__GET('nMovEstado') != 0) {
                                                    if ($r->__GET('nMovEstadoSunat') == "-1" || $r->__GET('nMovEstadoSunat') == "0" || $r->__GET('nMovEstadoSunat') == "500") {
                                            ?>            
                                                        <a onclick="previsualizacion('<?php echo $r->Movimiento_Id ?>')" class="btn btn-info btn-flat btn-xs" title="Enviar comprobante"><i class="glyphicon glyphicon-send"></i></a>
                                            <?php   }    ?>
                                            <?php } ?> -->
                                            
                                        <?php } ?>
                                        
                                        
                                    </td>
                                </tr>
                            <?php

                            }
                            ?>
                        </tbody>
                        <tfoot>
                            <tr>
                                <th>TIPO MOVIMIENTO</th>
                                <th>FECHA</th>
                                <th>DOCUMENTO</th>
                                <th>CLIENTE/PROVEEDOR</th>
                                <th>MONEDA</th>
                                <th>TOTAL</th>
                                <th>ESTADO</th>
                                <th>ESTADO SUNAT</th>
                                <th>OPERACIONES</th>
                            </tr>
                        </tfoot>
                    </table>

                    <!-- Modal modeal-ver -->
                    <div class="modal fade" id="modal-ver" tabindex="-1" role="dialog" aria-labelledby="modal-ver-label" aria-hidden="true">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <form action="?c=Movimiento&a=PDFMovimiento" method="POST">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                                        <h4 class="modal-title" id="modal-ver-label">Registro de Movimiento</h4>
                                    </div>
                                    <div class="modal-body">
                                        <input type="hidden" name="PDFMmovimiento_Id" id="PDFMmovimiento_Id" value="">
                                        <table class="table table-striped" id="ver_datos">

                                        </table>
                                    </div>
                                    <div class="modal-footer">
                                        <button type="submit" class="btn btn-danger" formtarget="_blak"><i class="fa fa-print"></i>&nbsp;Imprimir</button>
                                        <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                                        <button type="button" onclick="Actualizar_obs_docref()" class="btn btn-success"><i class="fa fa-edit"></i>&nbsp;Actualizar</button>

                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                    <!-- /Modal modal-ver -->

                    <!-- Modal modal-eliminar -->
                    <div class="modal fade" id="modal-eliminar" tabindex="-1" role="dialog" aria-labelledby="modal-eliminar-label" aria-hidden="true">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <form action="#" method="POST">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                                        <h4 class="modal-title" id="modal-eliminar-label">Anular movimiento</h4>
                                    </div>
                                    <div class="modal-body">
                                        <input type="hidden" name="IdMovimiento" id="IdMovimiento" value="">
                                        <input type="hidden" name="estadoSunat" id="estadoSunat" value="">
                                        <input type="hidden" name="typemovi" id="typemovi" value="">
                                        ¿Estás seguro que desea anular el movimiento?
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-default btn-flat" data-dismiss="modal">No, cancelar</button>
                                        <button onclick="anularMovimiento()" type="button" class="btn btn-danger btn-flat">Si, eliminar</button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                    <!-- /Modal modal-eliminar -->

                </div><!-- /.box-body -->
            </div><!-- /.box -->
        </div><!-- /.col -->
    </div><!-- /.row -->
    <div id="script_js"></div>
</section><!-- /.content -->
<script type="text/javascript" src="view/librerias/dist/js/funcionesMovimiento.js"></script>
<script type="text/javascript">

    function updateFormAction() {
        var tipoMovimientoId = document.getElementById('TipoMovimiento_Id').value;
        var form = document.getElementById('movimientoForm');

        // Si el tipo de movimiento es "Venta" (por ejemplo, id 2), redirige a Index2
        if (tipoMovimientoId == 2) {
            form.action = "?c=Movimiento&a=Index2";
        } else {
            form.action = "?c=Movimiento&a=Index";
        }
    }

    // Llamar a la función al cargar la página para establecer la acción correcta
    document.addEventListener('DOMContentLoaded', function() {
        updateFormAction();
    });



    $('#fechaInicio').datetimepicker({
        viewMode: 'days',
        format: 'DD-MM-YYYY'
    });

    $('#fechaFin').datetimepicker({
        viewMode: 'days',
        format: 'DD-MM-YYYY'
    });
    $(function() {
        jQuery.fn.dataTableExt.oSort['fecha-asc'] = function(a, b) {
            var ukDatea = a.split('-');
            var ukDateb = b.split('-');

            var x = (ukDatea[2] + ukDatea[1] + ukDatea[0]) * 1;
            var y = (ukDateb[2] + ukDateb[1] + ukDateb[0]) * 1;

            return ((x < y) ? -1 : ((x > y) ? 1 : 0));
        };

        jQuery.fn.dataTableExt.oSort['fecha-desc'] = function(a, b) {
            var ukDatea = a.split('-');
            var ukDateb = b.split('-');

            var x = (ukDatea[2] + ukDatea[1] + ukDatea[0]) * 1;
            var y = (ukDateb[2] + ukDateb[1] + ukDateb[0]) * 1;

            return ((x < y) ? 1 : ((x > y) ? -1 : 0));
        };
        $("#example1").dataTable({
            "scrollX": true,
            "bSort": true,
            "language": {
                "search": "",
                "lengthMenu": "Filas por página _MENU_",
                "zeroRecords": "No hay información para mostrar",
                "info": "Pagina _PAGE_ de _PAGES_ de _MAX_ ",
                "infoEmpty": "Pagina _PAGE_ - _PAGES_ de _MAX_ registros",
                "infoFiltered": "(filtered from _MAX_ total records)",
                "paginate": {
                    "previous": "Anterior",
                    "next": "Siguiente"
                }
            },
            "initComplete": function () {
                // Modificar el placeholder del input de búsqueda
                $('div.dataTables_filter input').attr('placeholder', 'Buscar');
            }
        });
    });

    $('#modal-eliminar').on('show.bs.modal', function(event) {
        var button = $(event.relatedTarget); // Button that triggered the modal
        var recipient = button.data('codigo'); // Extract info from data-* attributes
        var sunat = button.data('sunat'); // Extract info from data-* attributes
        var typemovi = button.data('tipomovimiento'); // Extract info from data-* attributes

        // If necessary, you could initiate an AJAX request here (and then do the updating in a callback).
        // Update the modal's content. We'll use jQuery here, but you could use a data binding library or other methods instead.
        $("#IdMovimiento").val(recipient);
        $("#estadoSunat").val(sunat);
        $("#typemovi").val(typemovi);
    });

    function Actualizar_obs_docref() {
        $('#preloader').show();
        var Movimiento_Id = document.getElementById('Movimiento_Id').value;
        var sMovDocReferencia = document.getElementById('sMovDocReferencia').value;
        var sMovObservacion = document.getElementById('sMovObservacion').value;
        var nMovVendedor_Id = document.getElementById('vendedor').value;
        $.post('?c=Movimiento&a=act_obs_docref', {
            Movimiento_Id: Movimiento_Id,
            sMovDocReferencia: sMovDocReferencia,
            sMovObservacion: sMovObservacion,
            vendedor: nMovVendedor_Id
        }, function(data) {
            $('#resultado').html(data);

            $.post('?c=Movimiento&a=act_obs_docref_colibri', {
                Movimiento_Id: Movimiento_Id,
                sMovDocReferencia: sMovDocReferencia,
                sMovObservacion: sMovObservacion
            }, function(data) {
                $('#preloader').hide();
            });
            // setTimeout(function() {
            //     window.location.reload()

            // }, 500);
        });
    }


    function previsualizacion(Movimiento_Id) {
        $.post('?c=Movimiento&a=Previsualizacion', {
            Movimiento_Id: Movimiento_Id
        }, function(data) {
            $(".content-wrapper").html(data);
        });
    }
</script>