<style>
    .bottonFiltro {
        background-color:rgb(12, 155, 238);
        border-radius: 0.5rem;
        border: none;
        width: 3.5rem;
        height: 3.5rem;
    }
    .botonNuevo {
        color: black;
        font-weight: 700;
        width: 15rem;
        background-color:rgb(255, 219, 17);
    }
</style>
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <h1>
                Personal
                <small></small>
            </h1>
            <ol class="breadcrumb">
                <li><a href="wfamain.php"><i class="fa fa-dashboard"></i> Inicio</a></li>
                <li><a href="#">Personal</a></li>
            </ol>
        </section>        
        <!-- Main content -->
        <section class="content">
            <div class="row">
                <div class="col-xs-12">
                    <div class="box">
                        <div class="box-header">
                            <div class="row"  style="margin-top: 5px; margin-right: 10px;">
                                <div class="form-group" style="text-align: right; margin-top: 10px;">
                                    <a class="botonNuevo btn btn-ingresar" onclick="LimpiarFrmCliente();" data-toggle="modal" data-target="#Agregar">Nuevo Personal</a>
                                </div>
                            </div>                            
                        </div><!-- /.box-header -->
                        <div class="box-body">
                            <table id="example1" class="table table-bordered table-striped text-center">
                                <thead>
                                    <tr>
                                        <th>NOMBRES Y APELLIDOS</th>
                                        <th>DNI</th>
                                        <th>CARGO</th>
                                        <th>ESTADO</th>
                                        <th>OPERACIONES</th>
                                    </tr>
                                </thead>                  	
                                <tbody>  
                                    <?php foreach ($personal as $r): ?>                    
                                        <tr> 
                                            <td><?php echo $r->__GET('sPerApellidos').' '.$r->__GET('sPerNombres'); ?></td>
                                            <td><?php echo $r->__GET('nPerDni'); ?></td>
                                            <td><?php echo $r->__GET('sPerCargo'); ?></td>
                                            <td style="background-color:<?php echo $r->__GET('nPerEstado') == '1' ? 'rgb(218, 255, 218)' : 'rgb(255, 218, 218)'; ?>;">
                                                <?php 
                                                    echo $r->__GET('nPerEstado') == '1' ? 
                                                        '<span class="text-success" style="font-weight: 600">HABILITADO</span>' 
                                                        : '<span class="text-danger" style="font-weight: 600">DESHABILITADO</span>';
                                                ?>
                                            </td>
                                            <td>

                                                <a class="btn btn-info btn-xs" onclick="mostrarPersonal('<?php echo $r->__GET('Personal_Id'); ?>');" title="Ver detalles" data-toggle="modal" data-target="#modal-ver"><i class="fa fa-eye"></i></a>
                                                <a class="btn btn-primary btn-xs" title="Editar" onclick="FrmEditarPersonal('<?php echo $r->__GET('Personal_Id'); ?>');"><i class="fa fa-pencil"></i></a>
                                                <button type="button" class="btn btn-danger btn-xs" title="Eliminar" data-toggle="modal" data-target="#modal-eliminar" data-codigo="<?php echo $r->__GET('Personal_Id'); ?>"><i class="fa fa-trash-o"></i></button>
                                            </td>
                                        </tr>
                                    <?php endforeach; ?>
                                </tbody>
                                <tfoot>
                                    <tr>
                                        <th>NOMBRES Y APELLIDOS</th>
                                        <th>DNI</th>
                                        <th>CARGO</th>
                                        <th>ESTADO</th>
                                        <th>OPERACIONES</th>
                                    </tr>
                                </tfoot>
                            </table>

                            <!-- Modal modal-Agregar -->
                            <div class="modal fade" id="Agregar" tabindex="-1" role="dialog" aria-labelledby="modal-eliminar-label" aria-hidden="true">
                                <div class="modal-dialog">
                                    <div class="modal-content" style="border-radius: 0.5rem;">
                                        <form action="javascript:GuardarPersonal();" method="POST" id="FrmPersonal">
                                            <div class="modal-header">
                                                <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                                                <h4 class="modal-title" id="modal-eliminar-label">Personal</h4>
                                            </div>
                                            <div class="modal-body">
                                                <div class="row">
                                                    <div class="col-md-12">                            
                                                        <div id="resultado"></div>
                                                    </div>
                                                    <div class="col-md-12 form-group">
                                                        <input type="hidden" name="Personal_Id" id="Personal_Id">
                                                        <label>DNI</label>
                                                        <input type="text" class="form-control" name="nPerDni" id="nPerDni" placeholder="Ingrese DNI" maxlength="8">
                                                    </div>
                                                    <div class="col-md-12 form-group">
                                                        <label>Apellidos</label>
                                                        <input type="text" class="form-control" name="sPerApellidos" id="sPerApellidos" placeholder="Ingrese Apellidos">
                                                    </div>
                                                    <div class="col-md-12 form-group">
                                                        <label>Nombres</label>
                                                        <input type="text" class="form-control" name="sPerNombres" id="sPerNombres" placeholder="Ingrese Nombres">
                                                    </div>
                                                    <div class="col-md-12 form-group">
                                                        <label>Cargo</label>
                                                        <input type="text" class="form-control" name="sPerCargo" id="sPerCargo" placeholder="Ingrese Cargo">
                                                    </div>
                                                    <div class="col-md-12 form-group">
                                                        <label>Area</label>
                                                        <input type="text" class="form-control" name="sPerArea" id="sPerArea" placeholder="Ingrese Área">
                                                    </div>
                                                    <div class="col-md-12 form-group">
                                                        <label>Estado</label>
                                                        <select name="nPerEstado" id="nPerEstado" class="form-control">
                                                            <option value="1">Habilitado</option>
                                                            <option value="0">Inhabilitado</option>
                                                        </select>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="modal-footer">
                                                <button type="submit" class="btn btn-primary btn-flat">Guardar</button>
                                                <button type="button" class="btn" style="background-color: red; color: white;" data-dismiss="modal">Cancelar</button>
                                            </div>
                                        </form>
                                    </div>
                                </div>
                            </div>

                            <!-- Modal modeal-ver -->
                            <div class="modal fade" id="modal-ver" tabindex="-1" role="dialog" aria-labelledby="modal-ver-label" aria-hidden="true">
                                <div class="modal-dialog">
                                    <div class="modal-content">
                                        <form action="?c=Personal&a=PDFPersonal" method="POST" target="_blank">
                                            <div class="modal-header">
                                                <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                                                <h4 class="modal-title" id="modal-ver-label">Detalle de personal</h4>
                                            </div>
                                            <div class="modal-body">
                                                <table class="table table-striped" id="ver_datos">
                                                    <thead>
                                                        <tr>
                                                            <th>Cargando datos...</th>
                                                        </tr>
                                                    </thead>
                                                </table>
                                            </div>
                                            <div class="modal-footer">
                                                <!-- <button type="submit" class="btn btn-danger" formtarget="_blak"><i class="fa fa-print"></i>&nbsp;Imprimir</button> -->
                                                <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                                            </div>
                                        </form>
                                    </div>
                                </div>
                            </div>
                            <!-- /Modal modal-ver -->

                            <!-- Modal modal-eliminar -->
                            <div class="modal fade" id="modal-eliminar" tabindex="-1" role="dialog" aria-labelledby="modal-eliminar-label" aria-hidden="true">
                                <div class="modal-dialog">
                                    <div class="modal-content">
                                        <form action="?c=Personal&a=EliminarPersonal" method="POST">
                                            <div class="modal-header">
                                                <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                                                <h4 class="modal-title" id="modal-eliminar-label">Eliminar</h4>
                                            </div>
                                            <div class="modal-body">
                                                <input type="hidden" name="idPersonal" id="idPersonal" value="">
                                                ¿Seguro que desea eliminar?
                                            </div>
                                            <div class="modal-footer">
                                                <button type="submit" class="btn btn-danger btn-flat">Si, eliminar</button>
                                                <button type="button" class="btn btn-default btn-flat" data-dismiss="modal">No, cancelar</button>
                                            </div>
                                        </form>
                                    </div>
                                </div>
                            </div>
                            <!-- /Modal modal-eliminar -->

                        </div><!-- /.box-body -->
                    </div><!-- /.box -->
                </div><!-- /.col -->
            </div><!-- /.row -->
        </section><!-- /.content -->

        <script type="text/javascript" src="view/librerias/dist/js/funcionesGenerales.js"></script>
        <script type="text/javascript" src="view/librerias/dist/js/funcionesPersonal.js"></script>

        <script type="text/javascript">
            $(function() {

                jQuery.fn.dataTableExt.oSort['fecha-asc'] = function(a, b) {
                    var ukDatea = a.split('-');
                    var ukDateb = b.split('-');

                    var x = (ukDatea[2] + ukDatea[1] + ukDatea[0]) * 1;
                    var y = (ukDateb[2] + ukDateb[1] + ukDateb[0]) * 1;

                    return ((x < y) ? -1 : ((x > y) ? 1 : 0));
                };

                jQuery.fn.dataTableExt.oSort['fecha-desc'] = function(a, b) {
                    var ukDatea = a.split('-');
                    var ukDateb = b.split('-');

                    var x = (ukDatea[2] + ukDatea[1] + ukDatea[0]) * 1;
                    var y = (ukDateb[2] + ukDateb[1] + ukDateb[0]) * 1;

                    return ((x < y) ? 1 : ((x > y) ? -1 : 0));
                };
                $("#example1").dataTable({
                    "scrollX": true,
                    "bSort": false,
                    "language": {
                        "search": "",
                        "lengthMenu": "Filas por página _MENU_",
                        "zeroRecords": "No hay información para mostrar",
                        "info": "Pagina _PAGE_ de _PAGES_ de _MAX_ ",
                        "infoEmpty": "Pagina _PAGE_ - _PAGES_ de _MAX_ registros",
                        "infoFiltered": "(filtered from _MAX_ total records)",
                        "paginate": {
                            "previous": "Anterior",
                            "next": "Siguiente"
                        }
                    },
                    "initComplete": function () {
                        // Modificar el placeholder del input de búsqueda
                        $('div.dataTables_filter input').attr('placeholder', 'Buscar');
                    }
                });

            });
            $('#modal-eliminar').on('show.bs.modal', function(event) {
                var button = $(event.relatedTarget); // Button that triggered the modal
                var recipient = button.data('codigo'); // Extract info from data-* attributes

                // If necessary, you could initiate an AJAX request here (and then do the updating in a callback).
                // Update the modal's content. We'll use jQuery here, but you could use a data binding library or other methods instead.
                var modal = $(this);
                modal.find('.modal-body input').val(recipient);
            });

            $(document).ready(function(){
                      $("#FrmPersonal").validators({
                          rules: {
                            nPerDni: {
                                required: true,
                                number: true,
                                maxlength: 8
                            },
                            sPerApellidos: {
                                required: true
                            },
                            sPerNombres: {
                                required: true
                            },
                            sPerCargo: {
                                required: true
                            }
                          }
                      })
                });
            
        </script>
